Debian Bug report logs - #179929
xterm: uxterm's regexp doesn't catch modifiers in locale settings

version graph

Package: xterm; Maintainer for xterm is Debian X Strike Force <debian-x@lists.debian.org>; Source for xterm is src:xterm.

Reported by: Eduard Bloch <edi@gmx.de>

Date: Wed, 5 Feb 2003 18:03:01 UTC

Severity: normal

Tags: fixed-in-experimental, patch, upstream

Found in versions 4.2.1-5, 4.2.99.4-2

Fixed in versions xfree86/4.3.0-1, xfree86/4.3.0-2

Done: Branden Robinson <branden@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org:
Bug#179929; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Eduard Bloch <edi@gmx.de>:
New Bug report received and forwarded. Copy sent to Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Eduard Bloch <edi@gmx.de>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: insufficient regexp in uxterm wrapper
Date: Wed, 5 Feb 2003 18:51:50 +0100
[Message part 1 (text/plain, inline)]
Package: xterm
Version: 4.2.1-5, 4.2.99.4-2
Severity: normal
Tags: patch

Hello,

uxterm script contains a sed expression to create a proper LC_CTYPE
setting if your locale was not *.UTF-8 before. Unfortunately, it does
not match the new locales names used by Debian (fr_FR@euro). The
attached patch will fix it.

Gruss/Regards,
Eduard.

-- System Information:
Debian Release: testing/unstable
Architecture: i386
Kernel: Linux zombie 2.4.21-pre4 #7 Die Feb 4 09:13:49 CET 2003 i686
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8

Versions of packages xterm depends on:
ii  debconf                   1.2.22         Debian configuration management sy
hi  libc6                     2.3.1-10       GNU C Library: Shared libraries an
ii  libexpat1                 1.95.6-2       XML parsing C library - runtime li
ii  libfontconfig1            2.1-14         generic font configuration library
ii  libfreetype6              2.1.3-9        FreeType 2 font engine, shared lib
ii  libncurses5               5.3.20021109-2 Shared libraries for terminal hand
ii  libxaw7                   4.2.99.4-2     X Athena widget set library
ii  libxft2                   2.1-7          advanced font drawing library for 
ii  xlibs                     4.2.99.4-2     X Window System client libraries

-- debconf information:
  xterm/clobber_xresource_file: true
  xterm/xterm_needs_devpts: 


-- 
Kommt Zeit, kommt Bart.
[uxterm.diff (text/plain, attachment)]

Tags added: upstream Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Changed Bug title. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org:
Bug#179929; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to dickey@herndon4.his.com (Thomas Dickey):
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #14 received at 179929@bugs.debian.org (full text, mbox):

From: dickey@herndon4.his.com (Thomas Dickey)
To: 179929@bugs.debian.org
Cc: dickey@herndon4.his.com (Thomas Dickey)
Subject: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=179929
Date: Sun, 2 Mar 2003 14:35:52 -0500
>                       Debian Bug report logs - #179929
>       xterm: uxterm's regexp doesn't catch modifiers in locale settings

the attached script is incorrect (i.e., is specific to GNU sed),
I'll have a workable version in patch #175.

>--- uxterm.orig 2003-02-05 10:40:04.000000000 +0100
>+++ uxterm      2003-02-05 18:43:52.000000000 +0100
>@@ -30,7 +30,7 @@
> # user's shell does not reset unknown locale specifiers, but not all shells do
>.
> if test $found != yes ; then
>        if test -n "$value" ; then
>-               eval ${name}=`echo ${value} |sed -e 's/\..*//'`.UTF-8
>+               eval ${name}=`echo ${value} |sed -e 's/\(\.\|\@\).*//'`.UTF-8
>                eval export ${name}
>        else
>                LC_CTYPE=en_US.UTF-8
-- 
Thomas E. Dickey <dickey@invisible-island.net>
http://invisible-island.net
ftp://invisible-island.net



Information forwarded to debian-bugs-dist@lists.debian.org, xfree86@packages.qa.debian.org:
Bug#179929; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Branden Robinson <branden@debian.org>:
Extra info received and forwarded to list. Copy sent to xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #19 received at 179929@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: Thomas Dickey <dickey@herndon4.his.com>, 179929@bugs.debian.org
Subject: Re: Bug#179929: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=179929
Date: Sun, 2 Mar 2003 17:49:03 -0500
[Message part 1 (text/plain, inline)]
On Sun, Mar 02, 2003 at 02:35:52PM -0500, Thomas Dickey wrote:
> >                       Debian Bug report logs - #179929
> >       xterm: uxterm's regexp doesn't catch modifiers in locale settings
> 
> the attached script is incorrect (i.e., is specific to GNU sed),
> I'll have a workable version in patch #175.

Thanks!  I look forward to it.  :)

-- 
G. Branden Robinson                |       Psychology is really biology.
Debian GNU/Linux                   |       Biology is really chemistry.
branden@debian.org                 |       Chemistry is really physics.
http://people.debian.org/~branden/ |       Physics is really math.
[Message part 2 (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org:
Bug#179929; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to "Eduard Bloch" <inet@zombie.inka.de>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #24 received at 179929@bugs.debian.org (full text, mbox):

From: "Eduard Bloch" <inet@zombie.inka.de>
To: 179929@bugs.debian.org
Subject: what about applying it?
Date: Tue, 18 Mar 2003 14:45:18 +0100
Hi,

what do you think about applying this patch soon? It is a bug and you
got the solution.

Regards,
Eduard.




Information forwarded to debian-bugs-dist@lists.debian.org, Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org:
Bug#179929; Package xterm. Full text and rfc822 format available.

Acknowledgement sent to Daniel Stone <dstone@trinity.unimelb.edu.au>:
Extra info received and forwarded to list. Copy sent to Branden Robinson <branden@debian.org>, xfree86@packages.qa.debian.org. Full text and rfc822 format available.

Message #29 received at 179929@bugs.debian.org (full text, mbox):

From: Daniel Stone <dstone@trinity.unimelb.edu.au>
To: Eduard Bloch <inet@zombie.inka.de>, 179929@bugs.debian.org
Subject: Re: Bug#179929: what about applying it?
Date: Wed, 19 Mar 2003 08:19:47 +1100
[Message part 1 (text/plain, inline)]
On Tue, Mar 18, 2003 at 02:45:18PM +0100, Eduard Bloch scrawled:
> what do you think about applying this patch soon? It is a bug and you
> got the solution.

----

Subject: Bug#179929: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=179929
Date: Sun, 2 Mar 2003 14:35:52 -0500
Message-Id: <200303021935.h22JZqu09250@invisible-island.net>
To: 179929@bugs.debian.org
From: dickey@herndon4.his.com (Thomas Dickey)
Cc: dickey@herndon4.his.com (Thomas Dickey)

>                       Debian Bug report logs - #179929
>       xterm: uxterm's regexp doesn't catch modifiers in locale settings

the attached script is incorrect (i.e., is specific to GNU sed),
I'll have a workable version in patch #175.

----

-- 
Daniel Stone                                     <dstone@trinity.unimelb.edu.au>
Developer, Trinity College, University of Melbourne
[Message part 2 (application/pgp-signature, inline)]

Tags added: fixed-in-experimental Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Daniel Stone <daniels@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Eduard Bloch <edi@gmx.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #36 received at 179929-close@bugs.debian.org (full text, mbox):

From: Daniel Stone <daniels@debian.org>
To: 179929-close@bugs.debian.org
Subject: Bug#179929: fixed in xfree86 4.3.0-1
Date: Mon, 26 Jan 2004 21:19:20 -0500
Source: xfree86
Source-Version: 4.3.0-1

We believe that the bug you reported is fixed in the latest version of
xfree86, which is due to be installed in the Debian FTP archive:

lbxproxy_4.3.0-1_i386.deb
  to pool/main/x/xfree86/lbxproxy_4.3.0-1_i386.deb
libdps-dev_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libdps-dev_4.3.0-1_i386.deb
libdps1-dbg_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libdps1-dbg_4.3.0-1_i386.deb
libdps1_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libdps1_4.3.0-1_i386.deb
libice-dev_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libice-dev_4.3.0-1_i386.deb
libice6-dbg_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libice6-dbg_4.3.0-1_i386.deb
libice6_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libice6_4.3.0-1_i386.deb
libsm-dev_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libsm-dev_4.3.0-1_i386.deb
libsm6-dbg_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libsm6-dbg_4.3.0-1_i386.deb
libsm6_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libsm6_4.3.0-1_i386.deb
libx11-6-dbg_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libx11-6-dbg_4.3.0-1_i386.deb
libx11-6_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libx11-6_4.3.0-1_i386.deb
libx11-dev_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libx11-dev_4.3.0-1_i386.deb
libxaw6-dbg_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxaw6-dbg_4.3.0-1_i386.deb
libxaw6-dev_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxaw6-dev_4.3.0-1_i386.deb
libxaw6_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxaw6_4.3.0-1_i386.deb
libxaw7-dbg_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxaw7-dbg_4.3.0-1_i386.deb
libxaw7-dev_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxaw7-dev_4.3.0-1_i386.deb
libxaw7_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxaw7_4.3.0-1_i386.deb
libxext-dev_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxext-dev_4.3.0-1_i386.deb
libxext6-dbg_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxext6-dbg_4.3.0-1_i386.deb
libxext6_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxext6_4.3.0-1_i386.deb
libxft1-dbg_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxft1-dbg_4.3.0-1_i386.deb
libxft1_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxft1_4.3.0-1_i386.deb
libxi-dev_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxi-dev_4.3.0-1_i386.deb
libxi6-dbg_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxi6-dbg_4.3.0-1_i386.deb
libxi6_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxi6_4.3.0-1_i386.deb
libxmu-dev_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxmu-dev_4.3.0-1_i386.deb
libxmu6-dbg_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxmu6-dbg_4.3.0-1_i386.deb
libxmu6_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxmu6_4.3.0-1_i386.deb
libxmuu-dev_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxmuu-dev_4.3.0-1_i386.deb
libxmuu1-dbg_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxmuu1-dbg_4.3.0-1_i386.deb
libxmuu1_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxmuu1_4.3.0-1_i386.deb
libxp-dev_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxp-dev_4.3.0-1_i386.deb
libxp6-dbg_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxp6-dbg_4.3.0-1_i386.deb
libxp6_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxp6_4.3.0-1_i386.deb
libxpm-dev_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxpm-dev_4.3.0-1_i386.deb
libxpm4-dbg_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxpm4-dbg_4.3.0-1_i386.deb
libxpm4_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxpm4_4.3.0-1_i386.deb
libxrandr-dev_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxrandr-dev_4.3.0-1_i386.deb
libxrandr2-dbg_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxrandr2-dbg_4.3.0-1_i386.deb
libxrandr2_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxrandr2_4.3.0-1_i386.deb
libxt-dev_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxt-dev_4.3.0-1_i386.deb
libxt6-dbg_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxt6-dbg_4.3.0-1_i386.deb
libxt6_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxt6_4.3.0-1_i386.deb
libxtrap-dev_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxtrap-dev_4.3.0-1_i386.deb
libxtrap6-dbg_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxtrap6-dbg_4.3.0-1_i386.deb
libxtrap6_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxtrap6_4.3.0-1_i386.deb
libxtst-dev_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxtst-dev_4.3.0-1_i386.deb
libxtst6-dbg_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxtst6-dbg_4.3.0-1_i386.deb
libxtst6_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxtst6_4.3.0-1_i386.deb
libxv-dev_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxv-dev_4.3.0-1_i386.deb
libxv1-dbg_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxv1-dbg_4.3.0-1_i386.deb
libxv1_4.3.0-1_i386.deb
  to pool/main/x/xfree86/libxv1_4.3.0-1_i386.deb
pm-dev_4.3.0-1_all.deb
  to pool/main/x/xfree86/pm-dev_4.3.0-1_all.deb
proxymngr_4.3.0-1_i386.deb
  to pool/main/x/xfree86/proxymngr_4.3.0-1_i386.deb
twm_4.3.0-1_i386.deb
  to pool/main/x/xfree86/twm_4.3.0-1_i386.deb
x-dev_4.3.0-1_all.deb
  to pool/main/x/xfree86/x-dev_4.3.0-1_all.deb
x-window-system-core_4.3.0-1_i386.deb
  to pool/main/x/xfree86/x-window-system-core_4.3.0-1_i386.deb
x-window-system-dev_4.3.0-1_i386.deb
  to pool/main/x/xfree86/x-window-system-dev_4.3.0-1_i386.deb
x-window-system_4.3.0-1_all.deb
  to pool/main/x/xfree86/x-window-system_4.3.0-1_all.deb
xbase-clients_4.3.0-1_i386.deb
  to pool/main/x/xfree86/xbase-clients_4.3.0-1_i386.deb
xdm_4.3.0-1_i386.deb
  to pool/main/x/xfree86/xdm_4.3.0-1_i386.deb
xfonts-100dpi-transcoded_4.3.0-1_all.deb
  to pool/main/x/xfree86/xfonts-100dpi-transcoded_4.3.0-1_all.deb
xfonts-100dpi_4.3.0-1_all.deb
  to pool/main/x/xfree86/xfonts-100dpi_4.3.0-1_all.deb
xfonts-75dpi-transcoded_4.3.0-1_all.deb
  to pool/main/x/xfree86/xfonts-75dpi-transcoded_4.3.0-1_all.deb
xfonts-75dpi_4.3.0-1_all.deb
  to pool/main/x/xfree86/xfonts-75dpi_4.3.0-1_all.deb
xfonts-base-transcoded_4.3.0-1_all.deb
  to pool/main/x/xfree86/xfonts-base-transcoded_4.3.0-1_all.deb
xfonts-base_4.3.0-1_all.deb
  to pool/main/x/xfree86/xfonts-base_4.3.0-1_all.deb
xfonts-cyrillic_4.3.0-1_all.deb
  to pool/main/x/xfree86/xfonts-cyrillic_4.3.0-1_all.deb
xfonts-scalable_4.3.0-1_all.deb
  to pool/main/x/xfree86/xfonts-scalable_4.3.0-1_all.deb
xfree86-common_4.3.0-1_all.deb
  to pool/main/x/xfree86/xfree86-common_4.3.0-1_all.deb
xfree86_4.3.0-1.diff.gz
  to pool/main/x/xfree86/xfree86_4.3.0-1.diff.gz
xfree86_4.3.0-1.dsc
  to pool/main/x/xfree86/xfree86_4.3.0-1.dsc
xfs_4.3.0-1_i386.deb
  to pool/main/x/xfree86/xfs_4.3.0-1_i386.deb
xfwp_4.3.0-1_i386.deb
  to pool/main/x/xfree86/xfwp_4.3.0-1_i386.deb
xlibmesa-dev_4.3.0-1_all.deb
  to pool/main/x/xfree86/xlibmesa-dev_4.3.0-1_all.deb
xlibmesa-dri-dbg_4.3.0-1_i386.deb
  to pool/main/x/xfree86/xlibmesa-dri-dbg_4.3.0-1_i386.deb
xlibmesa-dri_4.3.0-1_i386.deb
  to pool/main/x/xfree86/xlibmesa-dri_4.3.0-1_i386.deb
xlibmesa-gl-dbg_4.3.0-1_i386.deb
  to pool/main/x/xfree86/xlibmesa-gl-dbg_4.3.0-1_i386.deb
xlibmesa-gl-dev_4.3.0-1_i386.deb
  to pool/main/x/xfree86/xlibmesa-gl-dev_4.3.0-1_i386.deb
xlibmesa-gl_4.3.0-1_i386.deb
  to pool/main/x/xfree86/xlibmesa-gl_4.3.0-1_i386.deb
xlibmesa-glu-dbg_4.3.0-1_i386.deb
  to pool/main/x/xfree86/xlibmesa-glu-dbg_4.3.0-1_i386.deb
xlibmesa-glu-dev_4.3.0-1_i386.deb
  to pool/main/x/xfree86/xlibmesa-glu-dev_4.3.0-1_i386.deb
xlibmesa-glu_4.3.0-1_i386.deb
  to pool/main/x/xfree86/xlibmesa-glu_4.3.0-1_i386.deb
xlibmesa3-dbg_4.3.0-1_all.deb
  to pool/main/x/xfree86/xlibmesa3-dbg_4.3.0-1_all.deb
xlibmesa3_4.3.0-1_i386.deb
  to pool/main/x/xfree86/xlibmesa3_4.3.0-1_i386.deb
xlibosmesa-dev_4.3.0-1_i386.deb
  to pool/main/x/xfree86/xlibosmesa-dev_4.3.0-1_i386.deb
xlibosmesa4-dbg_4.3.0-1_i386.deb
  to pool/main/x/xfree86/xlibosmesa4-dbg_4.3.0-1_i386.deb
xlibosmesa4_4.3.0-1_i386.deb
  to pool/main/x/xfree86/xlibosmesa4_4.3.0-1_i386.deb
xlibs-data_4.3.0-1_all.deb
  to pool/main/x/xfree86/xlibs-data_4.3.0-1_all.deb
xlibs-dbg_4.3.0-1_all.deb
  to pool/main/x/xfree86/xlibs-dbg_4.3.0-1_all.deb
xlibs-dev_4.3.0-1_all.deb
  to pool/main/x/xfree86/xlibs-dev_4.3.0-1_all.deb
xlibs-pic_4.3.0-1_all.deb
  to pool/main/x/xfree86/xlibs-pic_4.3.0-1_all.deb
xlibs-static-dev_4.3.0-1_i386.deb
  to pool/main/x/xfree86/xlibs-static-dev_4.3.0-1_i386.deb
xlibs-static-pic_4.3.0-1_i386.deb
  to pool/main/x/xfree86/xlibs-static-pic_4.3.0-1_i386.deb
xlibs_4.3.0-1_all.deb
  to pool/main/x/xfree86/xlibs_4.3.0-1_all.deb
xmh_4.3.0-1_i386.deb
  to pool/main/x/xfree86/xmh_4.3.0-1_i386.deb
xnest_4.3.0-1_i386.deb
  to pool/main/x/xfree86/xnest_4.3.0-1_i386.deb
xprt_4.3.0-1_i386.deb
  to pool/main/x/xfree86/xprt_4.3.0-1_i386.deb
xserver-common_4.3.0-1_i386.deb
  to pool/main/x/xfree86/xserver-common_4.3.0-1_i386.deb
xserver-xfree86-dbg_4.3.0-1_i386.deb
  to pool/main/x/xfree86/xserver-xfree86-dbg_4.3.0-1_i386.deb
xserver-xfree86_4.3.0-1_i386.deb
  to pool/main/x/xfree86/xserver-xfree86_4.3.0-1_i386.deb
xspecs_4.3.0-1_all.deb
  to pool/main/x/xfree86/xspecs_4.3.0-1_all.deb
xterm_4.3.0-1_i386.deb
  to pool/main/x/xfree86/xterm_4.3.0-1_i386.deb
xutils_4.3.0-1_i386.deb
  to pool/main/x/xfree86/xutils_4.3.0-1_i386.deb
xvfb_4.3.0-1_i386.deb
  to pool/main/x/xfree86/xvfb_4.3.0-1_i386.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 179929@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Stone <daniels@debian.org> (supplier of updated xfree86 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Mon, 26 Jan 2004 00:34:19 +1100
Source: xfree86
Binary: libx11-6-dbg libxtst6-dbg xserver-common xlibs-static-dev libxp6-dbg xbase-clients xlibmesa3-dbg libxtrap6-dbg xfonts-75dpi libxt6 libice6-dbg xmh libxaw6-dbg x-dev libxv1 libxext6-dbg xlibmesa-dev libxpm4 libxtst6 xlibmesa-gl-dev xfonts-cyrillic libx11-6 libsm6-dbg xlibs-pic xlibs-data x-window-system xfree86-common xlibmesa-dri xlibmesa3 libxv1-dbg libxrandr2 xlibmesa-glu libxaw7-dev xnest libxaw6 xterm libxp6 xlibmesa-dri-dbg libxrandr2-dbg libxmu6 xlibmesa-glu-dbg libx11-dev xlibs-static-pic libxpm4-dbg libxaw7-dbg libxmu6-dbg xlibmesa-glu-dev libxmuu-dev pm-dev libxext6 libxft1-dbg libxtst-dev libxv-dev libxp-dev twm x-window-system-dev libsm-dev xfonts-scalable libdps1-dbg libxmuu1-dbg xfwp libice6 libxmu-dev xlibs libdps-dev xserver-xfree86-dbg libxrandr-dev libsm6 xserver-xfree86 libdps1 proxymngr xfonts-base-transcoded libxaw6-dev lbxproxy x-window-system-core xutils xspecs libxtrap6 libice-dev libxt-dev xfs libxmuu1 libxi6-dbg xfonts-base xlibs-dbg libxpm-dev xlibmesa-gl xfonts-100dpi-transcoded libxtrap-dev xfonts-100dpi libxext-dev xfonts-75dpi-transcoded xlibosmesa4-dbg libxft1 xprt libxi-dev xlibosmesa-dev xlibosmesa4 xvfb libxaw7 xlibmesa-gl-dbg xdm xlibs-dev libxi6 libxt6-dbg
Architecture: source i386 all
Version: 4.3.0-1
Distribution: unstable
Urgency: high
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Daniel Stone <daniels@debian.org>
Description: 
 lbxproxy   - Low Bandwidth X (LBX) proxy server
 libdps-dev - Display PostScript (DPS) client library development files
 libdps1    - Display PostScript (DPS) client library
 libdps1-dbg - Display PostScript (DPS) client library (unstripped)
 libice-dev - Inter-Client Exchange library development files
 libice6    - Inter-Client Exchange library
 libice6-dbg - Inter-Client Exchange library (unstripped)
 libsm-dev  - X Window System Session Management library development files
 libsm6     - X Window System Session Management library
 libsm6-dbg - X Window System Session Management library (unstripped)
 libx11-6   - X Window System protocol client library
 libx11-6-dbg - X Window System protocol client library (unstripped)
 libx11-dev - X Window System protocol client library development files
 libxaw6    - X Athena widget set library (version 6)
 libxaw6-dbg - X Athena widget set library (version 6, unstripped)
 libxaw6-dev - X Athena widget set library development files (version 6)
 libxaw7    - X Athena widget set library
 libxaw7-dbg - X Athena widget set library (unstripped)
 libxaw7-dev - X Athena widget set library development files
 libxext-dev - X Window System miscellaneous extension library development files
 libxext6   - X Window System miscellaneous extension library
 libxext6-dbg - X Window System miscellaneous extension library (unstripped)
 libxft1    - FreeType-based font drawing library for X (version 1)
 libxft1-dbg - FreeType-based font drawing library for X (version 1, unstripped)
 libxi-dev  - X Window System Input extension library development files
 libxi6     - X Window System Input extension library
 libxi6-dbg - X Window System Input extension library (unstripped)
 libxmu-dev - X Window System miscellaneous utility library development files
 libxmu6    - X Window System miscellaneous utility library
 libxmu6-dbg - X Window System miscellaneous utility library (unstripped)
 libxmuu-dev - lightweight X Window System miscellaneous utility library develop
 libxmuu1   - lightweight X Window System miscellaneous utility library
 libxmuu1-dbg - lightweight X Window System miscellaneous utility library (unstri
 libxp-dev  - X Window System printing extension library development files
 libxp6     - X Window System printing extension library
 libxp6-dbg - X Window System printing extension library (unstripped)
 libxpm-dev - X pixmap library development files
 libxpm4    - X pixmap library
 libxpm4-dbg - X pixmap library (unstripped)
 libxrandr-dev - X Window System Resize, Rotate and Reflection extension library d
 libxrandr2 - X Window System Resize, Rotate and Reflection extension library
 libxrandr2-dbg - X Window System Resize, Rotate and Reflection extension library (
 libxt-dev  - X Toolkit Intrinsics development files
 libxt6     - X Toolkit Intrinsics
 libxt6-dbg - X Toolkit Intrinsics (unstripped)
 libxtrap-dev - X Window System protocol-trapping extension library development f
 libxtrap6  - X Window System protocol-trapping extension library
 libxtrap6-dbg - X Window System protocol-trapping extension library (unstripped)
 libxtst-dev - X Window System event recording and testing extension library dev
 libxtst6   - X Window System event recording and testing extension library
 libxtst6-dbg - X Window System event recording and testing extension library (un
 libxv-dev  - X Window System video extension library development files
 libxv1     - X Window System video extension library
 libxv1-dbg - X Window System video extension library (unstripped)
 pm-dev     - proxy management protocol development files
 proxymngr  - X proxy services manager
 twm        - Tab window manager
 x-dev      - X protocol development files
 x-window-system - X Window System
 x-window-system-core - X Window System core components
 x-window-system-dev - X Window System development components
 xbase-clients - miscellaneous X clients
 xdm        - X display manager
 xfonts-100dpi - 100 dpi fonts for X
 xfonts-100dpi-transcoded - 100 dpi fonts for X (transcoded from ISO 10646-1)
 xfonts-75dpi - 75 dpi fonts for X
 xfonts-75dpi-transcoded - 75 dpi fonts for X (transcoded from ISO 10646-1)
 xfonts-base - standard fonts for X
 xfonts-base-transcoded - standard fonts for X (transcoded from ISO 10646-1)
 xfonts-cyrillic - Cyrillic fonts for X
 xfonts-scalable - scalable fonts for X
 xfree86-common - X Window System (XFree86) infrastructure
 xfs        - X font server
 xfwp       - X firewall proxy server
 xlibmesa-dev - XFree86 Mesa development libraries pseudopackage
 xlibmesa-dri - Mesa 3D graphics library modules [XFree86]
 xlibmesa-dri-dbg - Mesa 3D graphics library modules (unstripped) [XFree86]
 xlibmesa-gl - Mesa 3D graphics library [XFree86]
 xlibmesa-gl-dbg - Mesa 3D graphics library (unstripped) [XFree86]
 xlibmesa-gl-dev - Mesa 3D graphics library development files [XFree86]
 xlibmesa-glu - Mesa OpenGL utility library [XFree86]
 xlibmesa-glu-dbg - Mesa OpenGL utility library (unstripped) [XFree86]
 xlibmesa-glu-dev - Mesa OpenGL utility library development files [XFree86]
 xlibmesa3  - XFree86 Mesa libraries pseudopackage
 xlibmesa3-dbg - XFree86 Mesa unstripped libraries pseudopackage
 xlibosmesa-dev - Mesa off-screen rendering library development files [XFree86]
 xlibosmesa4 - Mesa off-screen rendering library [XFree86]
 xlibosmesa4-dbg - Mesa off-screen rendering library (unstripped) [XFree86]
 xlibs      - X Window System client libraries metapackage and XKB data
 xlibs-data - X Window System client data
 xlibs-dbg  - X Window System unstripped client libraries pseudopackage
 xlibs-dev  - X Window System client library development files pseudopackage
 xlibs-pic  - XFree86 static PIC libraries pseudopackage
 xlibs-static-dev - X Window System client library development files
 xlibs-static-pic - X Window System client extension library PIC archives
 xmh        - X interface to the MH mail system
 xnest      - nested X server
 xprt       - X print server (XFree86 version)
 xserver-common - files and utilities common to all X servers
 xserver-xfree86 - the XFree86 X server
 xserver-xfree86-dbg - the XFree86 X server (static version with debugging symbols)
 xspecs     - X protocol, extension, and library technical specifications
 xterm      - X terminal emulator
 xutils     - X Window System utility programs
 xvfb       - virtual framebuffer X server
Closes: 110974 110974 112703 112703 115223 117454 128125 129216 138883 142569 143825 145420 148008 148775 152796 154641 165849 167910 172550 176014 179929 183300 183619 184322 185443 185936 186237 187365 187374 188842 190323 191915 194136 194144 194351 196058 196810 196912 196912 197058 200857 204358 209352 210651 211528 212186 215831 215997 216896 220814 221686 223024 224757 225408 225759 226292 227217 227616 228408 228704 228810
Changes: 
 xfree86 (4.3.0-1) unstable; urgency=medium
 .
   * Urgency medium because this *really* needs to be in sarge, IMO.
 .
   * Grab fixes to upstream CVS xf-4_3-branch since last pull.
     - debian/patches/000_post430.diff:
       + (xc/lib/freetype2/Imakefile):
           Include backwards compatibility API for renamed stream functions in
           Freetype2 library.
       + (xc/programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c):
           1011. Build fix for the i810 driver when XF86DRI isn't defined
                 (#6006, Matthias Scheler).
     - debian/patches/000_stolen_from_HEAD_i830_driver.diff: resync offsets
 .
   * Fix syntax error in build-server (thanks, David Schmitt).
     (Closes: #225408)
     - debian/rules
 .
   * Add new target to rules file, "patch-audit", upon which build targets
     depend.  This target ensures that the patches to the upstream source
     applied cleanly (no offsets, no fuzz).
     - debian/README: document new patch-audit target
     - debian/rules: implement new patch-audit target
 .
   * Use hardlinks instead of symlinks when copying build tree for debugging
     server build in build-server target (thanks, David Schmitt).
     - debian/rules
 .
   * Search for external Xrender and Xft libraries in /usr/lib instead of
     /usr/X11R6/lib when symlinking them to the local exports directory for
     build purposes.  Update build-dependencies on these libraries' -dev
     packages to ensure their files are where we expect them.
     [ISHIKAWA Mutsumi]
     - debian/rules:
       + symlink libXrender.* from /usr/lib instead of /usr/X11R6/lib
       + symlink libXft.* from /usr/lib instead of /usr/X11R6/lib
     - debian/control:
       + update build-dependency from libxft2-dev to libxft-dev (>= 2.1.2)
       + update build-dependency from libxrender-dev to libxrender-dev
         (>= 0.8.3)
 .
   * Stop short-circuiting past update of debconf choices information for
     share/default-x-display-manager template if either the existing owners or
     choices information are null -- doing so was causing some people not to be
     prompted to set their default X display manager when they should have
     been.  Improve debugging output.  (Closes: #226292)
     - debian/xdm.config.in
     - debian/xdm.{postinst,postrm,prerm}.in: add observe() calls to default
       display manager file updates
 .
   * Add new Debian X FAQ entry, "Why are some fonts (or graphical rulers)
     sized incorrectly?", based on text submitted by Eduard Bloch (thanks,
     Eduard!).  (Closes: #227217)
     - debian/local/FAQ
 .
   * Move rstard.real executable from /etc/X11/rstart to /usr/X11R6/bin.
     (Closes: #143825)
     - debian/patches/000_stolen_from_HEAD.diff:
       (xc/programs/rstart/Imakefile):
       + [Fix] Missing depend target [Marc Aurele La France]
       + Allow rstartd.real to be installed into a location other than LIBDIR
         (#6034, Luke Mewburn).
     - debian/patches/912_debian_rstart.real_location.diff:
       (xc/programs/rstart/Imakefile): use BINDIR instead of MYLIBDIR when
       dealing with RSERVERNAME
     - debian/MANIFEST.*: note new location
     - debian/NEWS: a conffile is being removed on upgrade, so inform users of
       this fact in the unlikely event they customized this ELF executable
     - debian/xutils.install*: ship file from its new location
     - debian/xutils.{postinst,preinst,prerm}.in: prepare, roll back, and
       commit removal of conffile as needed
 .
   * Add Greek debconf template translations (thanks, Konstantinos Margaritis).
     Re-run debconf-updatepo.  (Closes: #227616)
     - debian/po/el.po: new
     - debian/po/{templates.pot,*.po}: cosmetic updates made by
       debconf-updatepo
 .
   * Fix initialisation of some DRI parameters for RV280 chips (and possibly
     others with the R200 3D core). (Closes: #225759)
     [Michel Dänzer]
     - debian/patches/030b_radeon_rv280_support.diff
     - debian/patches/451_ia64_radeon_pagesize.diff: adjust offsets
 .
   * Neutralize the workaround for the Linux kernel kbd_rate structure change
     after it is no longer needed, so that we don't inadvertently re-#define a
     symbol used by the Linux kernel's kbd_repeat structure.  Yeesh.  Fixes
     FTBFS on SPARC (thanks, Daniel Jacobowitz and Nathanael Nerode!)
     (Closes: #220814)
     - debian/patches/050_fix_lnx_io_kbd_rate_fix.diff
 .
   * Update build-dependencies; kernel-headers-2.4 (virtual package) becomes
     linux-kernel-headers (real package) and "libpng12-0-dev | libpng-dev"
     becomes "libpng12-dev | libpng-dev" (libpng12-0-dev is no more).
     - debian/control
 .
   * Make x-window-system depend on xprt-xprintorg instead of xprt until
     XFree86 gets a fixed XPRINT server.  (Closes: #209352)
     - debian/control
 .
   * Acknowledge the long-awaited unscrewing of GNU CPP's -traditional support.
     Remove build-dependency on cpp-3.2 (cpp is build-essential); add
     build-conflict on cpp-3.3 prior to 1:3.3.3ds1-0pre1; generalize
     xbase-clients's, xdm's, and xutils's dependencies from cpp-3.2 to cpp; and
     add conflict for each of these packages with versions of cpp-3.3 prior to
     1:3.3.3ds1-0pre1.  Remove patch that defines CppCmd to be cpp-3.2.
     - debian/control
     - debian/patches/003a_damn_cpp_3.3_to_hell.diff: deleted
 .
   * Grab from upstream CVS HEAD a patch to the DIX layer to work around
     spurious repeated keyboard events during sync grabs when using the XKB
     extension (thanks to Mark Histed for the tip).  (Closes: #142569)
     - debian/patches/000_stolen_from_HEAD.diff
 .
   * Grab (from upstream Mesa 5.1) a patch which re-implements the x86 CPU
     detection code, which should rectify problems with spurious detection and
     attempted usage of 3Dnow! extensions on Pentium 4 processors (thanks, Petr
     Sebor).  (Closes: #215831)
     - debian/patches/000_stolen_from_Mesa_5.1.diff
 .
   * Update German debconf template translations (thanks, Alwin Meschede).
     Re-run debconf-updatepo.  (Closes: #228704)
     - debian/po/de.po
     - debian/po/{templates.pot,*.po}: cosmetic updates made by
       debconf-updatepo
 .
   * Fix some bit rot in patch to xdm's session.c file; upstream has changed
     StartClient() to use a locally-scoped variable called pamh which is
     initialized to the return of thepamh(), instead of calling thepamh() every
     time the PAM handle is needed.
     - debian/patches/002_xdm_fixes.diff
 .
   * Drop xlibs-static-dev's (exact versioned) dependency on xlibs, since I
     cannot think of a justification for it.  XKB data is not needed to compile
     objects that use XKB extension libraries, there is nothing else in xlibs,
     xlibs-static-dev still depends on -dev packages necessary to link objects
     using the libraries in this package, there is no shared counterpart for
     the libraries in this package upon which to declare an exact versioned
     dependency, and xlibs-static-dev is Architecture: any while xlibs is
     Architecture: all -- this renders binary-only NMUs of xfree86 impossible.
     Thanks to Colin Watson for bringing this issue up on debian-policy.
     - debian/control
 .
   * Create the /etc/X11 directory in the xserver-common and xserver-xfree86
     package preinst scripts if the directory does not already exist.  These
     scripts may need to create files (or symlinks) in these directories,
     xfree86-common may not have been unpacked yet, and Pre-Depending on it is
     too heavyweight a solution.  Also, reduce the amount of hard-coding of the
     /etc/X11 directory, moving it into a shell variable instead.  Finally,
     remove the /etc/X11 directory on package purge if it is empty (it is
     not in dpkg's file list, as these packages do not ship it).  Thanks to
     Joey Hess for finding this problem.  (Closes: #228810)
     - debian/xserver-common.{config,preinst,postinst,postrm}.in
     - debian/xserver-xfree86.{config,preinst,postinst,prerm,postrm}.in
 .
   * Add versioned build-dependency on linux-kernel-headers (>=
     2.5.999-test7-bk-15) for SPARC only; previous versions of
     linux-kernel-headers have a bug that causes XFree86 builds to fail on that
     architecture.
     - debian/control
 .
   * Fix Xv support in r128 driver to work in conjuction with an earlier patch
     to let the driver permit framebuffer pitches in multiples of 8 bytes,
     which enabled support for some models of Rage 128, but broke video in
     depth 24 (thanks, Michel Dänzer and Dagfinn Ilmari Mannsåker).
     (Closes: #148775)
     - debian/patches/022_r128_driver_pitch_tweak.diff
 .
   * Make the Radeon driver recognize the Radeon 9200 Mobility (M9+) present in
     iBook G4s. [Daniel Stone]
     - 099_ati_recognize_radeon_9200_se.diff
 .
 xfree86 (4.3.0-0pre1v5) experimental; urgency=low
 .
   * Grab fixes to upstream CVS xf-4_3-branch since last pull.
     - debian/patches/000_post430.diff:
       + (xc/programs/Xserver/hw/xfree86/doc/sgml/LICENSE.sgml,
          xc/programs/xdm/{genauth.c,prngc.c}):
           Grab licenses clarifications from trunk. (Matthieu Herrb)
       + (xc/programs/Xserver/hw/xfree86/doc/LICENSE):
           update formatted docs (Matthieu Herrb)
       + (xc/programs/Xserver/hw/xfree86/drivers/i810/{common.h,i810.h,
         i810.man,i830.h,i830_cursor.c,i830_dri.c,i830_dri.h,i830_driver.c,
         i830_memory.c,i830_video.c}):
           Fix some i830+ VT switch/exit crashes (David Dawes, Egbert Eich).
     - debian/patches/002_xdm_fixes.diff: resynced
     - debian/patches/056_i810_make_i830_usable.diff: resynced
 .
   * Update Debian copyright file to resync with update to upstream LICENSE
     file (new BSD-style licenses from Theodore Ts'o, Theo de Raadt, and
     Damien Miller).
     - debian/copyright
 .
   * Undocument the restriction on loading both freetype and xtt modules in
     the XFree86 X server's debconf questions, since this restriction no longer
     exists in XFree86 4.3.  Enable the xtt module by default.
     - debian/xserver-xfree86.templates
 .
   * Update xlibs and xlibs-data's package descriptions to clarify that X
     Keyboard Extension (XKB) data is in xlibs, but other
     architecture-independent data is in xlibs-data.  The XKB data has not
     moved because dpkg supports no mechanism for migrating conffiles between
     packages, and it is unacceptable for people to be spuriously shown dpkg's
     changed-conffile prompt dozens of times when upgrading from versions of
     xlibs prior to 4.3.0.
     - debian/control
 .
   * Correct mispelling of forthcoming package name in xlibs's shlibs file; the
     package containing libXmuu.so.1 will be called "libxmuu1", not "libxmuu6".
     - debian/xlibs.shlibs
 .
   * Move correction of old /usr/X11R6/lib/X11/locale symlink problem from
     xlibs package to xlibs-data, and convert from simple remove-in-preinst
     approach to prepare-preinst/commit-postinst/rollback-postrm model.
     Correct mis-self-identification of xlibs-data's maintainer scripts (caused
     by sloppy cut-and-pasting), correct and update their copyright
     information, and use debhelper to ship the
     /usr/X11R6/lib/X11/icons/default directory instead of creating it behind
     the packaging system's back in xlibs-data's postinst.
     - debian/xlibs-data.dirs
     - debian/xlibs-data.postinst.in
     - debian/xlibs-data.postrm.in
     - debian/xlibs-data.preinst.in
     - debian/xlibs-data.prerm.in
     - debian/xlibs.preinst.in
 .
   * Patch Xlib (CrGlCur.c) to search harder for an Xcursor library.  Not
     everybody has symlinks on their system for compile-time linking of objects
     with libXcursor.  Attempt to find "libXcursor.so.1" first, then (per the
     existing code), fall back to "libXcursor.so" and finally "libXcursor".
     (Closes: #204358)
     - debian/patches/099a_improve_search_for_libXcursor.diff
 .
   * Update the extended descriptions of packages that depend on cpp-3.2 to
     explain why they use cpp in general, and why cpp-3.2 in particular.
     - debian/control
 .
   * Move unstripped versions of the Mesa DRI modules from the (renamed)
     xlibmesa3-gl-dbg package to the new package xlibmesa-dri-dbg.
     - debian/control
     - debian/xlibmesa-dri-dbg.install.alpha
     - debian/xlibmesa-dri-dbg.install.i386
     - debian/xlibmesa-dri-dbg.install.ia64
     - debian/xlibmesa-dri-dbg.install.powerpc
     - debian/xlibmesa-dri-dbg.install.sparc
 .
   * Grab latest fixes to upstream CVS xf-4_3-branch.
     - debian/patches/000_post430.diff:
       (xc/programs/Xserver/hw/xfree86/os-support/xf86drm.h):
         1009. Fix DRM_CAS on ia64 as used by the DRI (Bugzilla #778, John
               Dennis). (Alan Hourihane)
     - debian/patches/453_ia64_fix_radeon_dri_deadlock.diff: deleted;
         superseded by upstream patch
 .
   * Fix building against 2.6.x kernel headers by adding '#define rate period'
     where needed. [Fabio Massimo Di Nitto, Daniel Stone]
     - debian/patches/000_stolen_from_HEAD.diff
 .
   * Stop shipping render and renderproto.h in xlibs-dev.
     - debian/xlibs-dev.install
     - debian/xlibs-dev.install.hurd-i386
     - debian/xlibs-dev.install.s390
 .
   * Make i830 driver automatically reserve the amount of memory specified in
     'Option "VideoRAM"', eliminating the need for an external program. Grab a
     couple of other small fixes from HEAD, and integrate this with patch #056.
     - debian/patches/000_stolen_from_HEAD_i830_driver.diff: new
     - debian/patches/056_i810_make_i830_usable.diff: deleted
     [Daniel Stone]
 .
   * Add package relationships with xlibs-data and xutils where needed, and
     explain them in packages' extended descriptions.
     - debian/control:
       + xbase-clients depends on xlibs-data: the bitmap, editres, viewres,
         xbiff, xcalc, xconsole, xditview, xedit, xf86cfg, xman, xsetroot, and
         xsm programs use bitmap images provided by the xlibs-data package.
       + xmh depends on xlibs-data: the xmh program uses bitmap images provided
         by the xlibs-data package.
       + xterm recommends xutils: the uxterm command requires the luit program
         from the xutils package.
       + xterm depends on xlibs-data: the xterm program uses bitmap images
         provided by the xlibs-data package.
       + xutils suggests xlibs-data: the luit program requires locale
         information from the xlibs-data package (add luit to list of programs
         in xutils's extended description while we're at it).
 .
   * In maintainer scripts, query the terminal to establish a default number of
     columns to use for displaying messages to the user.  This is used only as
     a fallback in the event the COLUMNS variable is not set.  Change from
     using fold to format messages to fmt, so we can get indentation on wrapped
     lines, making them easier to read.  Remove unused message_nonl() function.
     - debian/shell-lib.sh
 .
   * Move correction of old /usr/X11R6/lib/X11/locale symlink problem from
     xlibs package to xlibs-data, and convert from simple remove-in-preinst
     approach to prepare-preinst/commit-postinst/rollback-postrm model.
     Correct mis-self-identification of xlibs-data's maintainer scripts (caused
     by sloppy cut-and-pasting), correct and update their copyright
     information, and use debhelper to ship the
     /usr/X11R6/lib/X11/icons/default directory instead of creating it behind
     the packaging system's back in xlibs-data's postinst.
     - debian/xlibs-data.dirs
     - debian/xlibs-data.postinst.in
     - debian/xlibs-data.postrm.in
     - debian/xlibs-data.preinst.in
     - debian/xlibs-data.prerm.in
     - debian/xlibs.preinst.in
 .
   * Split xlibs package into one package per shared library, keeping only the
     XKB data files in xlibs (see above).  The XRX plugin
     (/usr/X11R6/lib/libxrx.so.6.3) and its manpage are being dropped entirely.
     - debian/xlibs.install: stop shipping everything but the XKB data
     - debian/xlibs.{dirs,links,postinst.in,postrm.in,preinst.in,shlibs,
       shlibs.dummy}: deleted
     - debian/rules: eliminate special dh_shlibdeps handling for xlibs package;
       add special dh_shlibdeps handling for libdps1 and libx11-6 (see below)
     - debian/scripts/manifest-install-reconcile: add libxrx shared library and
       object to list of files expected to be unshipped
     - debian/shell-lib.sh: define new functions to aid maintainer scripts of
       new libraries
       + register_x_lib_dir_with_ld_so(): add /usr/X11R6/lib to /etc/ld.so.conf
         if needed
       + deregister_x_lib_dir_with_ld_so(): remove /usr/X11R6/lib from
         /etc/ld.so.conf when no shared libraries left in directory
     - debian/{libice6,libsm6,libx11-6,libxext6,libxft1,libxi6,libxmu6,
       libxmuu1,libxp6,libxpm4,libxrandr2,libxt6,libxtrap6,libxtst6,
       libxv1}.install: new; ship shared library
     - debian/{libice6,libsm6,libx11-6,libxext6,libxft1,libxi6,libxmu6,
       libxmuu1,libxp6,libxpm4,libxrandr2,libxt6,libxtrap6,libxtst6,
       libxv1}.links: new; ship SONAME symlinks to shared libraries
     - debian/{libice6,libsm6,libx11-6,libxext6,libxft1,libxi6,libxmu6,
       libxmuu1,libxp6,libxpm4,libxrandr2,libxt6,libxtrap6,libxtst6,
       libxv1}.shlibs: new; provide shlibs file, specifying alternative
       versioned dependencies on older versions of xlibs (except in the case of
       libxv1, for which a shared version did not exist in XFree86 prior to
       4.3)
     - debian/{libdps1,libx11-6}.shlibs.local: add special local shlibs files
       for use during the package build so that libdps1 and libx11-6 do not get
       spurious self-dependencies; libdps1 ships three related shared
       libraries, and libx11-6 ships loadable modules for Xlib that reference
       symbols in Xlib -- both of these cases confuse dpkg-shlibdeps (via
       dh_shlibdeps)
     - debian/{libice6,libsm6,libx11-6,libxext6,libxft1,libxi6,libxmu6,
       libxmuu1,libxp6,libxpm4,libxrandr2,libxt6,libxtrap6,libxtst6,
       libxv1}.{postinst,postrm}: new; call register_x_lib_dir_with_ld_so(),
       deregister_x_lib_dir_with_ld_so(), and ldconfig as appropriate
     - debian/{libx11-6,libxt6}.{preinst,postinst,postrm}: migrate
       /usr/X11R6/lib/X11/{app-defaults,xkb} prepare/commit/rollback handling
       from xlibs maintainer scripts, now deceased
     - debian/libx11-6.links: migrated from xlibs.links for
       /usr/X11R6/lib/X11/xkb symlink
     - debian/libxt6.dirs: migrated from xlibs.dirs for /etc/X11/app-defaults
       directory
     - debian/libxt6.links: migrated from xlibs.links for
       /usr/X11R6/lib/X11/app-defaults symlink
     - debian/control: update package data to reflect split
       + add stanzas for new packages libice6, libsm6, libx11-6, libxext6,
         libxft1, libxi6, libxmu6, libxmuu1, libxp6, libxpm4, libxrandr2,
         libxt6, libxtrap6, libxtst6, xlibs-data
       + libx11-6 depends on xfree86-common (>> 4.3.0) and xlibs-data; needs
         xlibs-data for locale data and X error and keysym databases
       + xlibs is now a transitional package depending on the packages into
         which it split
       + sanitize xlibs's conflicts and replaces relationships by removing
         versioned conflicts on withdrawn packages (except where they continue
         to be Provided by still-existing packages)
       + xlibs is now an architecture-independent package
       + xlibs no longer provides libxpm4
       + rewrite xlibs's short and extended descriptions
 .
   * Split xlibs-dbg package into one package per shared library.
     - debian/xlibs-dbg.install: deleted
     - debian/xlibs-dbg.links: deleted
     - debian/{libice6-dbg,libsm6-dbg,libx11-6-dbg,libxext6-dbg,libxft1-dbg,
       libxi6-dbg,libxmu6-dbg,libxmuu1-dbg,libxp6-dbg,libxpm4-dbg,
       libxrandr2-dbg,libxt6-dbg,libxtrap6-dbg,libxtst6-dbg,
       libxv1-dbg}.install: new; populated from xlibs-dbg.install
     - debian/{libice6-dbg,libsm6-dbg,libx11-6-dbg,libxext6-dbg,libxft1-dbg,
       libxi6-dbg,libxmu6-dbg,libxmuu1-dbg,libxp6-dbg,libxpm4-dbg,
       libxrandr2-dbg,libxt6-dbg,libxtrap6-dbg,libxtst6-dbg,
       libxv1-dbg}.links: new; populated from xlibs-dbg.links
     - debian/control: update package data to reflect split
       + add stanzas for new packages libice6-dbg, libsm6-dbg, libx11-6-dbg,
         libxext6-dbg, libxft1-dbg, libxi6-dbg, libxmu6-dbg, libxmuu1-dbg,
         libxp6-dbg, libxpm4-dbg, libxrandr2-dbg, libxt6-dbg, libxtrap6-dbg,
         libxtst6-dbg, libxv1-dbg
       + xlibs-dbg is now a pseudopackage depending on the packages into which
         it split
       + update x-window-system-dev to depend on the packages split from
         xlibs-dbg instead of xlibs-dbg itself
     - debian/rules:
       + don't dh_strip new -dbg packages
       + let dh_strip have its wicked way with xlibs-dbg, which no longer has a
         payload
 .
   * Split xlibs-dev package into one package per shared library, plus separate
     packages for Proxy Management protocol headers (pm-dev), X protocol
     headers (x-dev), and libraries that exist only in static form
     (xlibs-static-dev).  Note that there is no libxft1-dev package; this is
     deliberate.  libxft1 is obsolete and libxft2 (packaged separately from
     XFree86) should be used instead.
     - debian/xlibs-dev.install: deleted
     - debian/xlibs-dev.links: deleted
     - debian/{libice-dev,libsm-dev,libx11-dev,libxext-dev,libxi-dev,
       libxmu-dev,libxmuu-dev,libxp-dev,libxpm-dev,libxrandr-dev,libxt-dev,
       libxtrap-dev,libxtst-dev,libxv-dev,pm-dev,x-dev,
       xlibs-static-dev}.install: new; populated from xlibs-dev.install
     - debian/{libice-dev,libsm-dev,libx11-dev,libxext-dev,libxi-dev,
       libxmu-dev,libxmuu-dev,libxp-dev,libxpm-dev,libxrandr-dev,libxt-dev,
       libxtrap-dev,libxtst-dev,libxv-dev}.install: new; populated from
       xlibs-dev.links
     - debian/control: update package data to reflect split
       + add stanzas for new packages libice-dev, libsm-dev, libx11-dev,
         libxext-dev, libxi-dev, libxmu-dev, libxmuu-dev, libxp-dev,
         libxpm-dev, libxrandr-dev, libxt-dev, libxtrap-dev, libxtst-dev,
         libxv-dev, pm-dev, x-dev, xlibs-static-dev
       + update dependencies for existing -dev packages libdps-dev,
         libxaw6-dev, libxaw7-dev, xlibmesa-gl-dev, xlibosmesa-dev
       + update dependencies for xlibs-static-pic based on actual linkage of
         the libraries within it
       + simplify xlibs-static-pic's extended description to refer to
         xlibs-static-dev for details
       + xlibs-dev is now a pseudopackage depending on the packages into which
         it split
       + update x-window-system-dev to depend on the packages split from
         xlibs-dev instead of xlibs-dev itself
 .
   * The above package splits collectively resolve a request in the Debian Bug
     Tracking System to do so.  (Closes: #172550)
 .
   * debian/patches/099b_Xft_FreeType_2.1.7_build_fix.diff:
     + Patch XFree86's internal copies of the Xft library to enable building
       against FreeType 2.1.7; fixes FTBFS.
 .
   * Remove ${shlibs:Depends} substvar from dependencies of library -dbg
     packages; -dbg packages already declare an exact versioned dependency on
     their non-debugging counterparts, and using this substvar can lead to
     duplicate package relationships and lintian warnings.
 .
   * Fix incorrect symlink to Xrender.h during package build. [ISHIKAWA
     Mutsumi]
     - debian/rules
 .
   * Update libdps1's extended description to clarify the state of server-side
     DPS implementations, and stop referring to a package that is no longer
     shipped in Debian.  (Closes: #138883)
     - debian/control
 .
   * Make x-window-system-dev depend on xlibmesa-gl-dbg and xlibmesa-glu-dbg,
     not xlibmesa3-gl-dbg and xlibmesa3-glu-dbg.
     - debian/control
 .
   * Make the xlibmesa3 pseudopackage "Architecture: any" instead of
     "Architecture: all", because its dependencies vary depending on what
     architecture it is compiled for (thanks to F:Xlibmesa-gl-Depends).
     - debian/control
 .
   * Fix encoding of Catalan translations file to not use a codepoint that is
     undefined in ISO 8859-15, which prevents the file from being transcoded
     from UTF-8 to ISO 8859-15 (thanks, Denis Barbier).  (Closes: #223024)
     - debian/po/ca.po
 .
 xfree86 (4.3.0-0pre1v4) experimental; urgency=low
 .
   * Add missing symbolic links for libXTrap. [ISHIKAWA Mutsumi]
     - debian/xlibs-dev.links: add libXTrap link
     - debian/xlibs-dbg.links: add libXTrap link
 .
   * Restore m68k package support.  Thanks, Adam Conrad!
     - {MANIFEST,xserver-xfree86.docs,xserver-xfree86.install,
        xutils.install}.m68k: added
 .
   * Add missing libXv to xlibs-dbg. [ISHIKAWA Mutsumi]
     - debian/xlibs-dbg.install: add libXv.so.1.0
     - debian/xlibs-dbg.links: add libXv link
 .
   * Grab latest fixes to upstream CVS xf-4_3-branch.
     - debian/patches/000_post430.diff:
       + (xc/programs/xdm/genauth.c):
           Build fixes (Branden Robinson, Matthieu Herrb).
       + (xc/programs/xdm/session.c):
           Use pam_strerror() to print an error message after pam_setcred()
           fails, C style unification (Branden Robinson).
       + (xc/programs/xdm/prngc.c):
           improve portability:
           - use the already defined X_NO_SYS_UN symbol for sys/un.h inclusion
           - don't use struct sockaddr_storage
     - debian/patches/002_xdm_fixes.diff:
       + resynchronize and drop patches applied upstream
       + fix for exciting new build failure in genauth.c
       + more stylistic cleanups to session.c
     - debian/patches/067_fix_X11_and_xdm_build_problems.diff: drop patches
       applied upstream
 .
   * Add s390-specific debhelper install file for xlibs-static-pic, since s390
     doesn't compile the libxf86config object.
     - debian/xlibs-static-pic.install.s390: added
 .
   * Add s390-specific debhelper install file for xlibs-data, since for some
     reason upstream decided s390 doesn't need the cursor themes.  s390 doesn't
     ship xf86cfg's bitmaps and pixmaps, either.
     - debian/xlibs-data.install.s390: added
 .
   * Grab fixes to upstream CVS xf-4_3-branch since last pull.
     - debian/patches/000_post430.diff:
       + (xc/programs/Xserver/hw/xfree86/common/xf86Mode.c):
           1004. Fixed erronous freeing of DisplayModeRec in xf86DeleteMode()
                 when deleting the modePool in xf86PruneDriverModes() the
                 'prev' member has a different meaning for modePool modes than
                 for ScrnInfoPtr->modes modes where it creates a doubly linked
                 list (Bugzilla #678, Juergen Keil).
       + (xc/programs/mkfontscale/mkfontscale.c):
           1005. Close freetype fontfile filehandle in mkfontscale, this
                 prevents problems from limitation of simultaniously open files
                 (Bugzilla #676, Jun-ichiro itojun Hagino).
       + (xc/lib/X11/imDefIm.c):
           [undocumented] Call _XimShutdown(), not XimShutdown(), in
           _XimProtoOpenIM().
       + (xc/programs/Xserver/hw/xfree86/os-support/xf86_libc.h):
           1007. Fixing crash on ia64 because of wrong setjmp buffer alignment
                 (Bugzilla #596, John Dennis).
       + (xc/config/cf/X11.tmpl):
           1008. Fixed definititon of UseInstalledOnCrossCompile so that it
                 never is undefined (Harlod L. Hunt II).
     - debian/patches/000_stolen_from_HEAD_doc_extensions_fix.diff,
       debian/patches/057_X11.tmpl_warning_fix.diff,
       debian/patches/058_external_XrenderXftXcursor_X11.tmpl.diff: resynced
         offsets
 .
   * Provide xlibs-pic pseudopackage to smooth upgrades from Debian 3.0
     systems.
     - debian/control:
       + add versioning of (<< 4.3.0) to xlibs-static-pic's conflicts and
         replaces relationships on xlibs-pic
       + xlibs-static-pic no longer provides xlibs-pic (dpkg does not support
         versioned provides)
       + resurrect xlibs-pic as an empty architecture-all pseudopackage in the
         oldlibs section which depends on xlibs-static-pic
 .
   * Add s390-specific debhelper docs file for xfree86-common, since upstream
     doesn't ship the README.dps, RELNOTES, or Versions files when
     BuildXF86Server is switched off.  Grab these documents from the build-tree
     directory instead.
     - debian/xfree86-common.docs.s390: added
 .
   * Fix regular DRI deadlocks on ia64; patch by John Dennis. [Daniel Stone]
     - debian/patches/453_ia64_fix_radeon_dri_deadlock.diff: added
 .
   * Change xlibs package's shlibs file to specify alternatives for xlibs
     itself, using the names of the packages that xlibs will split into.  This
     should allow for more in the way of partial upgrades and a smoother
     transition for packages depending on the libraries in xlibs.
     - debian/xlibs.shlibs
 .
   * Rename "stolen from HEAD" XTerm patch to not include the version number of
     XTerm in its name.
     - debian/patches/000_stolen_from_HEAD_xterm.diff: renamed from
       debian/patches/000_stolen_from_HEAD_xterm_177.diff
 .
   * Enable building of scanpci utility for m68k architecture, and ship the
     executable and its manual page in the xutils package for m68k.
     - debian/patches/250_m68k_build_scanpci.diff: patch xfree86.cf to not
       exclude scanpci from building if Mc68020Architecture is defined
     - debian/MANIFEST.m68k: add scanpci and its manpage
     - debian/xutils.install.m68k: deleted; m68k can now use the generic
       xutils.install file
 .
   * Give patch #453 a more accurate name, since the patch is not
     video-chipset-specific in any way (and has to do specifically with the
     DRM: Direct Rendering Manager).
     - debian/patches/453_ia64_fix_drm_deadlock.diff: renamed from
       debian/patches/453_ia64_fix_radeon_dri_deadlock.diff
 .
   * Install the xmodmap.std file using dh_installexamples instead of placing
     it into /usr/X11R6/lib/X11/etc, a directory which contains no other files.
     Xmodmap is really old tech these days, too.
     - debian/xbase-clients.examples: add line
     - debian/xbase-clients.install: drop line
 .
   * Apply patch to resolve problems with corruption when using XVideo on
     NVidia chipsets in fullscreen mode on a flat panel at high resolutions.
     (Closes: #215997)
     - debian/patches/098_nv_xvideo_fullscreen_fix.diff: new
 .
   * Recognize the Radeon 9200 SE (RV280 5964) as any other RV280 chip; also,
     fix detection of RV280 5962 and 5963 chips by the ATI driver.
     (Closes: #216896)
     - debian/patches/099_ati_recognize_radeon_9200_se.diff: new
 .
   * Fix build error when XF86DRI macro is undefined.  The "pI830" variable
     introduced in patch 056 is used unconditionaly, but only declared when
     XF86DRI macro is defined.  I could only reproduce this error in weird
     conditions on which the XF86DRI macro was undefined (probably due to wrong
     configuration in gnu.cf (GNU/Hurd)).  In any case, the bug is fixed now.
     [Robert Millan]
     - debian/patches/056_i810_make_i830_usable.diff
 .
 xfree86 (4.3.0-0pre1v3) experimental; urgency=high
 .
   * Update pam_setcred() security fix to xdm to use pam_error and
     pam_strerror().
     - debian/patches/002_xdm_fixes.diff
 .
   * Drop xlibmesa-drm-source package.
     - debian/MANIFEST.*: remove usr/src/xlibmesa-drm.tar.gz from list
     - debian/control: drop control stanza for package
     - debian/local/xlibmesa-drm-source: delete package infrastructure
       directory
     - debian/rules: stop constructing package
     - debian/xlibmesa-drm-src.install: deleted
 .
   * SECURITY: Fix overflows in the test for integer overflows. Reported by
     Paul Anderson.
     - debian/patches/000_post430.diff
 .
   * Apply more fixes for libraries' weak shared object dependencies.
     [ISHIKAWA Mutsumi]
     - debian/patches/063_fix_weak_deps.diff:
       + define SharedXvReqs in xc/config/cf/lnxLib.tmpl
       + add MathLibrary to SharedDPSTKReqs #define in xc/config/cf/lnxLib.tmpl
       + add MathLibrary to REQUIREDLIBS in xc/lib/GL/mesa/src/OSmesa/Imakefile
       + (cleanup) replace $(EXTENSIONLIB) $(XONLYLIB) with $(XLIB) in
         Shared*Reqs #defines in xc/config/cf/lnxLib.tmpl
 .
 xfree86 (4.3.0-0pre1v2) experimental; urgency=low
 .
   * debian/patches/911_debian_XF86Config_to_XF86Config-4.diff: merge this
     (forgotten?) patch from the trunk and resync with 4.3.0 and current
     patches
 .
   * Fix libxaa bug that could result in NULL pointers being passed to drivers,
     and thus complete machine death (thanks, Thomas Winischhofer).
     + debian/patches/000_stolen_from_HEAD.diff: new stanza, per Thomas
 .
   * Address xlibmesa* package upgrade issues from woody and 4.2.1 packages in
     sarge/sid.
     + debian/scripts/vars.{alpha,i386,ia64,powerpc,sparc}:
         - add xlibmesa-dri to dependencies of x-window-system-core on
           architectures where xlibmesa-dri exists
         - add new variable, XLIBMESA_GL_SPECIAL_DEPENDS, which adds xlibmesa-dri
           to dependencies of xlibmesa on architectures where xlibmesa-dri exists
     + debian/rules:
         - pass expansion of XLIBMESA_GL_SPECIAL_DEPENDS to dpkg-gencontrol
         - report expansion of XLIBMESA_GL_SPECIAL_DEPENDS in "environment"
           target to aid debugging
     + debian/control:
         - change Architecture: of xlibmesa-dri from "any" to only those
           architectures which actually ship this package (alpha, i386, ia64,
           powerpc, sparc)
         - xlibmesa-dri conflicts/replaces xlibmesa3-gl and non-pseudo versions of
           xlibmesa3 (this was effectively a package split on 5 architectures)
         - tweak xlibmesa-dri's description to mention the Linux kernel
           specifically (poor unloved Hurd and *BSD folks get no respect, I tell
           you)
         - xlibmesa-gl conflicts/replaces xlibmesa3-gl and non-pseudo versions of
           xlibmesa3
         - xlibmesa-gl-dbg conflicts/replaces xlibmesa3-gl-dbg and non-psuedo
           versions of xlibmesa3-dbg
         - xlibmesa-gl-dev conflicts/replaces non-pseudo versions of xlibmesa-dev
         - update xlibmesa-gl-dev's description to refer to itself correctly
         - xlibmesa-glu conflicts/replaces xlibmesa3-glu and non-pseudo versions
           of xlibmesa3
         - xlibmesa-glu-dbg conflicts/replaces xlibmesa3-glu-dbg and non-psuedo
           versions of xlibmesa3-dbg
         - xlibmesa-glu-dev conflicts/replaces non-pseudo versions of xlibmesa-dev
         - update xlibmesa-glu-dev's description to refer to itself correctly
         - add xlibmesa3, xlibmesa3-dbg, and xlibmesa-dev pseudopackages (merged
           from trunk and updated) to smooth upgrades from woody
         - rename xlibmesa-drm-src to xlibmesa-drm-source, for consistency with
           other kernel module source packages, and make modules built with it
           depend on xlibmesa-dri (thanks, David B. Harris)
     + debian/local/xlibmesa-drm-source/debian/buildpkg
         - replace entirely bogus reference to /usr/src/modules/device3dfx
 .
   * debian/xserver-xfree86.install.*: ship keyboard(4x) manpage (thanks,
     Michel Dänzer)
 .
   * Grab all fixes to xf-4_3-branch since 4.3.0 was tagged.
     - debian/patches/000_post430.diff: fixes of interest include:
       + fix R300 PLL value (Enrik Berkhan)
       + Fix for possible buffer overflow in _XlcLocaleDirName().  privilegied
         binaries ignore the XLOCALEDIR environment variable and are not
         vulnerable.
       + Resync with the trunk's setjmp & libc5 changes.
       + Another setjmp fix
       + Fix typo that caused incorrect initialization of xkb memory (John
         Heasley).
       + int10 fix for all ix86 non-Linux systems (Marc La France).
       + Another int10 fix.  This time for adapters found at PCI:0:0:0.  This
         fix is particularly important for ZX1-based systems (Marc La France).
       + Fix bug in mode validation that occurs when the XF86Config doesn't
         specify any mode or virtual resolution information (Marc La France).
       + Now ShadowComposite correctly clips the refresh box. Fix server crash
         when using render outside of the visible screen with shadowfb.
       + fix XFree86ManVersionString in the case of a release.
       + Fix programming error in ix86 motherboard chipset determination
         (Marc La France).
       + Fix to prevent PCI and CardBus resets when switching out of the
         server's virtual console (Marc La France).
       + Fix infinite loop that occurs on systems whose PCI configuration space
         doesn't advertise a host bridge (Marc La France).
       + Workaround for broken devices that don't implement the header type
         field in their PCI configuration space (Marc La France).
       + Fix lockup on server reset in radeon driver (Michel Dänzer, Keith
         Whitwell).
       + Set Mesa hooks to flush vertices on state changes in Radeon 3D drivers
         (Keith Whitwell).
       + Check for NULL tObj in the i830 3D driver's TexEnv function.  This
         fixes a FlightGear crash (Keith Whitwell).
       + Fix double free bug when a Mac-specific font fails to load with
         Freetype.
       + Prevent a SIGFPE with the glint/pm3 driver when attempting to display
         an XVideo image less than 8 pixels wide (Måns Rullgård).
       + Fix a SEGV that can happen with Riva128 cards (Mark Vojkovich).
       + Fix SiliconMotion driver for mode switching and SEGV problem when
         initializing Xv functionality (Bugzilla #50, Alan Hourihane).
       + Fix a problem with savage driver when UseBIOS is off, such that the
         performance drops dramatically. Now the performance matches or
         exceeds that of the option UseBIOS (Alan Hourihane).
       + Typo fix in radeon driver cursor code, fixes the primary head
         switching off when the cursor moves to the secondary head on dualhead
         cards (Michel Dänzer)
       + i810/815 depth buffer needs to be a multiple of the tile size.  This
         fixes 3D corruption near the bottom of the screen at 800x600@16bpp
         (Bugzilla #283, Dave Airlie).
       + Fixed Imakefiles so the driver SDK builds again (Sven Luther).
       + Fix XDMCP queries when using getifaddrs() (Bugzilla #277, Joel Ray
         Holveck)
       + Fix repeated image problem when using a vesa video mode before
         starting the Xserver on the S3 Trio3D cards (Alan Hourihane).
       + Fix for a crash if a scalable font has a bitmap entry in fonts.dir
         (#5687, Bugzilla #332, Juliusz Chroboczek).
       + Fix for xfs crashes in Freetype backend (Bugzilla #242, Juliusz
         Chroboczek).
       + Pull twm fixes (signal handler, empty windows menu) from -current.
       + Fix calculation of CRTC2 frame offset with page flipping in radeon
         driver (Michel Daenzer)
       + Fix an XAA pixmap cache server crash that can happen in some cases
         when the off-screen memory is heavily fragmented (David Dawes, based
         on #5752, Koike Kazuhiko, Chisato Yamauchi).
       + Fixed a crash when _XIMProtoOpenIM(), hich is called through XOpenIM()
         API when protocol IM is being set up,  fails (Bugzilla #618, Hisashi
         MIYASHITA).
       + Don't call FBIOPAN_DISPLAY ioctl with arguments that will cause a
         confusing if harmless error (Michel Dänzer)
       + Fixes for potential integer overflows in font libraries. (blexim,
         Matthieu Herrb).
       + for integer overflow tests, use SIZE_MAX which is more standard than
         SIZE_T_MAX, and default to ULONG_MAX for the case of LP64 systems.
         Based on reports by Matthias Scheler and Alan Coopersmith (Bugzilla
         #646).
       + Many fixes to xdm:
         - use better pseudo-random generators to generate magic cookies,
           including EGD-like prng daemons support.
         - add support for LISTEN keyworkd in Xaccess
         - deal with small memory leaks
         - use SIOCGLIFCONF to query network interfaces where available
         - fix XDMCP bug that could cause localhost entries in /etc/X0.hosts
           to be lost
         - add xdm /dev/random handling for Solaris
         - fix XDMCP queries on systems using getifaddrs().
         (Alan Coopersmith, Marc La France, Oswald Buddenhagen, Matthieu Herrb,
         Nicolas JOLY, Jason L. Wright, Joel Ray Holveck).
       + SECURITY: not mentioned in the upstream commit message is a fix for
         CAN-2003-0690 (return value of pam_setcred() not checked, which could
         conceivably lead to privilege escalation in some configurations)
     - resynced:
       + debian/patches/000_stolen_from_HEAD.diff
       + debian/patches/000_stolen_from_HEAD_bsdsupport.diff
       + debian/patches/000_stolen_from_HEAD_doc_extensions_fix.diff
       + debian/patches/000_stolen_from_HEAD_int10.diff
       + debian/patches/000_stolen_from_HEAD_netbsd.diff
       + debian/patches/000_stolen_from_HEAD_nv_driver.diff
       + debian/patches/000_stolen_from_HEAD_sis_driver.diff
       + debian/patches/002_xdm_fixes.diff
       + debian/patches/003_linux.cf_and_xfree86.cf.diff
       + debian/patches/003a_damn_cpp_3.3_to_hell.diff
       + debian/patches/004_imake_manpage_handling_overhaul.diff
       + debian/patches/057_X11.tmpl_warning_fix.diff
       + debian/patches/058_external_XrenderXftXcursor_X11.tmpl.diff
       + debian/patches/061_savage_driver_1.1.27t.diff
       + debian/patches/068_fix_InstallAppDefFiles_screwage.diff
       + debian/patches/900_debian_config.diff
       + debian/patches/905_debian_xdm.diff
     - deleted:
       + debian/patches/000_xf-4.3-branch.diff
       + debian/patches/046_radeon_dualhead_cursor_crash.diff
       + debian/patches/047_radeon_r200_flush_vertices.diff
       + debian/patches/050_radeon_reset_no_lockup.diff
       + debian/patches/066_xdm_do_not_read_from_dev_mem.diff
 .
   * debian/shlibs.local is a generated file, so we might as well generate it
     during the build process.
     - debian/shlibs.local: deleted from source package
     - debian/rules:
       + (clean): remove debian/shlibs.local
       + (debian/shlibs.local): new target
       + ($(STAMPDIR)/binary-arch): depends on debian/shlibs.local
       + ($(STAMPDIR)/binary-server): depends on debian/shlibs.local
 .
   * debian/patches/063_fix_weak_deps.diff: fix weak shared object dependencies
     in libDPS and libDPSTK (Closes: #210651)
 .
   * debian/patches/067_fix_X11_and_xdm_build_problems.diff: fix build
     failures; xc/lib/X11/Wrap.c and Wraphelp.c were being linked over from
     lib/Xdmcap but lib/Xdmcp/Wrap.h was not; same problem with xdm, plus
     identical problem with greeter's header files; also fix some problems with
     undeclared variables and pointer-to-integer comparison in genauth.c
 .
   * debian/patches/068_fix_InstallAppDefFiles_screwage.diff: always define the
     Imake symbol "InstallAppDefFiles" to "YES" on Debian systems; shuts up an
     extremely annoying build-time warning
 .
   * debian/patches/069_fix_ugly_r128_driver_warning.diff: fix an ugly
     diagnostic message which was also a multiline string literal
 .
   * debian/po/ja.po: update Japanese translations (thanks, Kenshi Muto and
     Takeo Nakano)
 .
   * debian/control: the XKB implementation in XFree86 4.3.0 has changed in a
     non-backward-compatible manner; update package relationships accordingly
     - xbase-clients conflicts with xlibs (<< 4.3.0) and xlibs-data (<< 4.3.0)
     - xlibs conflicts with xbase-clients (<< 4.3.0) and xlibs-data (<< 4.3.0)
     - xlibs-data conflicts with xbase-clients (<< 4.3.0)
 .
   * Update xc/programs/Xserver/hw/xfree86/os-support/linux/lnx_video.c to
     latest version from upstream CVS HEAD to resolve severe performance
     problems caused by opening /dev/mem with the O_SYNC flag, per Egbert Eich.
     - debian/patches/000_stolen_from_HEAD_int10.diff: updated
     - debian/patches/021_riscpc_ioport_fix.diff: resynced (also improve error
       reporting when ioperm()/iopl() fail for reasons other then ENODEV)
 .
   * The control file generated for xlibmesa-drm-module-* packages should
     include a "Source:" field.  (Closes: #212186)
     - debian/local/xlibmesa-drm-source/debian/control.m4
 .
 xfree86 (4.3.0-0pre1v1) experimental; urgency=low
 .
   * new upstream release
     - XFree86 X server now supports ATI Radeon Mobility (Closes: #196810)
     - XFree86 X server now supports Intel i845G (Closes: #184322)
     - XFree86 X server now supports Intel i865G (Closes: #221686)
     - XFree86 X server now supports SiS 740 (Closes: #196912)
     - XTerm allows window title reporting, disabled by default, to be enabled
       at the user's option via the allowWindowOps X resource (Closes: #200857)
     - Wacom driver has improved support for Graphire 2 tablets
       (Closes: #165849)
     - Wacom driver now supports absolute motion on Graphire tablets
       (Closes: #188842)
     - extraneous tokens at end of MakeSimpleDoc #ifdef in X11.tmpl removed
       (Closes: #196058)
     - XVideo supported at high resolutions on ATI Rage 128 Mobility LF
       (Closes: #176014)
     - Xinerama header file now usable by C++ code (Closes: #224757)
     - XFree86 X server has improved Xv support for ATI Radeon chipsets
       (Closes: #228408)
 .
   * Include patch for ATI RV280 chipset support.  (Closes: #211528)
     [Daniel Stone]
     - debian/patches/030b_radeon_rv280_support.diff
 .
   * Update XTerm to upstream Patch #177.
     - debian/patches/000_stolen_from_HEAD_xterm_177.diff:
       + uxterm now recognizes locale modifiers (Closes: #179929)
 .
   * Some things changed.  This release would not have been possible without
     the assistance of Daniel Stone (sponsored by Trinity College, Melbourne
     Uni) and ISHIKAWA Mutsumi.  A proper changelog entry for this release may
     not be possible even if God Himself grabbed my keyboard away from me.
 .
   * converted package build process to use packaged version of DBS, courtesy
     of Warren Turkal
     - debian/control: build-depend on dbs
     - debian/rules: use DBS
     - debian/scripts/vars: DBS knows where the stampdir is
     - debian/setperms: no longer need to enforce permissions on local version of
         DBS
     - debian/{doogie-build-system,scripts/{fix.source.patch,patch.apply,
       patch.unapply,source.patch,source.unpack,unfix.source.patch}: deleted in
         favor of DBS
 .
   * remove special-case logic in linux.cf that defined "HasLinuxInput" to
     "NO" for Mc68020Architecture:
     - m68k is now supported by the Linux 2.4.20 kernel (at least in
       Debian), so we let this symbol be defined to "YES" just like all the
       other architectures.  This only really affects the Wacom input driver
       and should not cause any regressions.  (thanks to James Troup for
       pointing out this no-longer-needed conditional)
     - patch #003 update
 .
   * always disable FontLibSharedFreeType, ensuring similarity between normal
     XFree86 server and XFree86 debugging server:
     - patch #003 updated
     - this change should be dropped when the module-loading server can be
       linked against an external FreeType2 library          [ISHIKAWA Mutsumi]
 .
   * Imake warning fix patch:
     - patch #057_X11.tmpl_warning_fix.diff: new             [ISHIKAWA Mutsumi]
 .
   * Use external Xft, Xrender and Xcursor libraries:
     - patch #058, #059, #060: new
     - patch #909: remove (reimplemented as above patches)
     - xlibs{,-dbg,-dev}.*, shlibs*: drop Xrender and Xcursor related entry
     - debian/control: add Build-Depends: libxrender-dev, libxcursor-dev
                                                             [ISHIKAWA Mutsumi]
 .
   * fix Xv regression in trident driver
     - #patch 000_stolen_from_HEAD: updated
 .
   * new SiS driver, from XFree86 HEAD:
     - patch #000_stolen_from_HEAD_sis_driver: new (Closes: #186237, #196912)
       XXX: DESCRIBE EACH OF THESE, AND MERGE THE REDUNDANT ONES, PLEASE
       + adds support for SiS 650/651/M650/740 chipsets (Closes: #183619)
 .
   * new Savage driver (version 1.1.27t): patch #063. (Closes: #110974,
     #112703, #115223, #128125, #145420, #148008, #152796, #154641, #185443,
     #194144, #194351, #112703, #110974)
       XXX: DESCRIBE EACH OF THESE, AND MERGE THE REDUNDANT ONES, PLEASE
     - includes code from 1.1.25t (Closes: #167910)
     - should fix flickering problems on Savage/IX-MV (Closes: #183300)
     - should fix system hangs when gdm starts on ProSavage PM133
       (Closes: #191915)
     - XVideo windows are no longer a non-working uniform blue
       (Closes: #197058)
     - new 'Option "ForceInit"' for forcing full initilization of consoles
       (Closes: #117454, #129216)
       XXX: DESCRIBE EACH OF THESE, AND MERGE THE REDUNDANT ONES, PLEASE
 .
   * eliminate TEXTREL section from libGL, making it PIC-compliant:
     - patch #062: new (Closes: #190323)
 .
   * patch #063: new; fix weak library shared object dependencies
     - fix libGLU (Closes: #187365)
     - fix libXmuu, libXp, libXrandr (Closes: #187374)
 .
   * xlibs-pic package renamed to xlibs-static-pic
     - reintegrate piclib_support.diff (previously patch #046, now patch #909)
     - all static-only libraries are now available in -fPIC varieties,
       including libXss (Closes: #185936)
 .
   * fix DPMS-on-DVI for Radeon driver
     - patch #048 updated with new patch from XFree86 Bugzilla, via Martin
       Loschwitz
 .
   * Xft.man name conflict problem fix [ISHIKAWA Mutsumi]
     - patch #065: new
     - man page name under xc/lib/{Xft,Xft1}/Xft.man name space confliction fix,
       simply rename xc/lib/Xft1/Xft.man to xc/lib/Xft1/Xft1.man
 .
   * patch #909: rework support for static libraries with PIC info; by default,
     only libraries without a shared version build static-PIC versions, and
     then only on systems where PIC info is not included in static ("normal")
     libraries by default (such as Debian)
 .
   * xftcache related things cleanup [ISHIKAWA Mutsumi]
     - xftcache description dropped from debian/control.
     - use fc-cache instaed of xftcache in xfonts-scale.{postinst,postrm}
 .
   * X-TT font engine update to X-TT 1.4.1 [ISHIKAWA Mutsumi]
 .
   * debian/control:
     - Change all references to libstdc++5-dev to be
       libstdc++5-dev | libstdc++-dev, allowing libstdc++5-3.3-dev to satisfy
       the dependency, and thus allowing gcc3.2 to be removed.
       (Closes: #194136)
 .
   * debian/xlibosmesa4-dbg.install: install the unstripped library in
     /usr/X11R6/lib/debug, not /usr/X11R6/lib
 .
   * The xspecs package now contains HTML-formatted version of most X Window
     System technical documents.
     - debian/xspecs.docs
Files: 
 e36b214912dcee41da76c60539875da1 2625 x11 optional xfree86_4.3.0-1.dsc
 dfeb21c94451b1356824b76660001a85 2110851 x11 optional xfree86_4.3.0-1.diff.gz
 11ecbbd83283f7e71ec1830e845f64c4 200096 x11 optional lbxproxy_4.3.0-1_i386.deb
 1b3bec0e4da6a3950c37a4bada3fd870 238618 libs optional libdps1_4.3.0-1_i386.deb
 22ee3a8826d76aede59eea2a25d60f50 736630 libdevel extra libdps1-dbg_4.3.0-1_i386.deb
 6f5f46a06da43b74e846e10851b88446 296600 libdevel optional libdps-dev_4.3.0-1_i386.deb
 23fb126ffbb5d32f71a76b93f4f6d750 155694 libs optional libice6_4.3.0-1_i386.deb
 843526c8730637ceef5ca8d65858eb07 240182 libdevel extra libice6-dbg_4.3.0-1_i386.deb
 782734d095dd7deb4a8fa9694ed937ba 159640 libdevel optional libice-dev_4.3.0-1_i386.deb
 18d97a71a6e86ea2830e4065b281a4eb 133746 libs optional libsm6_4.3.0-1_i386.deb
 a84067db0133efa1d1050a8caac43523 159584 libdevel extra libsm6-dbg_4.3.0-1_i386.deb
 c2a15927a704cd9fa0fe49aeb1c25890 130986 libdevel optional libsm-dev_4.3.0-1_i386.deb
 7c5b36394f06d4283e666c3395f01ec1 666146 libs optional libx11-6_4.3.0-1_i386.deb
 4b0c98350a345960841cf166b709e88e 9559472 libdevel extra libx11-6-dbg_4.3.0-1_i386.deb
 d31633f8f17955c2b2cbbf46fc27869b 1317564 libdevel optional libx11-dev_4.3.0-1_i386.deb
 7003de2a4e30a7785bf8e6c4c7298611 237754 libs optional libxaw6_4.3.0-1_i386.deb
 4328d351a6406b460a1eb4fce0eed715 844286 libdevel extra libxaw6-dbg_4.3.0-1_i386.deb
 fa7e3604db52742354bc1521b5e75ac1 368522 libdevel extra libxaw6-dev_4.3.0-1_i386.deb
 0fbf3bd2bf8c63f6b6349525e24086f2 290948 libs optional libxaw7_4.3.0-1_i386.deb
 c31a54259d57a32f4b807c5edeff0fd8 978642 libdevel extra libxaw7-dbg_4.3.0-1_i386.deb
 41381108de07d32ec17fbbc774fce979 368416 libdevel optional libxaw7-dev_4.3.0-1_i386.deb
 f19aeca70fe46285d603486b7640b2ca 140942 libs optional libxext6_4.3.0-1_i386.deb
 b32310543430053974b6e84eb94cd5ac 462012 libdevel extra libxext6-dbg_4.3.0-1_i386.deb
 475cf640507fa59dba51060235fa330a 201104 libdevel optional libxext-dev_4.3.0-1_i386.deb
 0ea80b7ca7fe188bf4eb5ac44afb83e8 143236 libs optional libxft1_4.3.0-1_i386.deb
 b4c61ff04278f16c77d0a38f3ac7642e 424536 libdevel extra libxft1-dbg_4.3.0-1_i386.deb
 165cea8b599ff804b4984b03ac9d2fa6 132138 libs optional libxi6_4.3.0-1_i386.deb
 4c5c71e5eb7bb9c9c37cd42cace8581e 1120208 libdevel extra libxi6-dbg_4.3.0-1_i386.deb
 cbfb7aeb808316b5194a6bd994e6b62c 185786 libdevel optional libxi-dev_4.3.0-1_i386.deb
 f3e213de5260b00213dcaaf6c299b135 162326 libs optional libxmu6_4.3.0-1_i386.deb
 42bda0a02b2fbdfb7cb55643b81152b2 613348 libdevel extra libxmu6-dbg_4.3.0-1_i386.deb
 99f3de9fed68414db0357f9aaa73a192 172624 libdevel optional libxmu-dev_4.3.0-1_i386.deb
 f764d72472edc9445895d52fc4e86c8d 124212 libs optional libxmuu1_4.3.0-1_i386.deb
 d4e60d95d2061a583b9cf4a56414b7ca 162740 libdevel extra libxmuu1-dbg_4.3.0-1_i386.deb
 9e028239bcd9649b22136ee920ce25fd 117304 libdevel optional libxmuu-dev_4.3.0-1_i386.deb
 bc3c6fe58c54ab45f083a38eed0eb120 131258 libs optional libxp6_4.3.0-1_i386.deb
 9f70e97f79a77550ad9691168e93948e 519290 libdevel extra libxp6-dbg_4.3.0-1_i386.deb
 db3c45053ec72b69a39e4297ac9c7a20 133302 libdevel optional libxp-dev_4.3.0-1_i386.deb
 34bbaede174ed64499ac6b60663464dc 147000 libs optional libxpm4_4.3.0-1_i386.deb
 89f526c318648c2fed7e04f59262e7a0 192520 libdevel extra libxpm4-dbg_4.3.0-1_i386.deb
 810d53d06228506b0728c7fbbc414570 146348 libdevel optional libxpm-dev_4.3.0-1_i386.deb
 ed6c4edd1855cb3b87ddadf5bc45863c 123970 libs optional libxrandr2_4.3.0-1_i386.deb
 6221ccf949db471178836b830faeb406 154776 libdevel extra libxrandr2-dbg_4.3.0-1_i386.deb
 64102384f701b9be19997aa82cf7737e 125060 libdevel optional libxrandr-dev_4.3.0-1_i386.deb
 f4b8075593c3bbd60e5c6b2ada395d97 270214 libs optional libxt6_4.3.0-1_i386.deb
 0590a86d1cde69e3f4c8abf151e5098e 1480688 libdevel extra libxt6-dbg_4.3.0-1_i386.deb
 d2b2a3f1731519bbbf6f1fc03b766e87 571192 libdevel optional libxt-dev_4.3.0-1_i386.deb
 5efced577d77a0ce8d264d266d480653 133048 libs optional libxtrap6_4.3.0-1_i386.deb
 b75032f5219378c270c8522f04f2a530 364410 libdevel extra libxtrap6-dbg_4.3.0-1_i386.deb
 93e151c91dc04e54c2e3dd8a825f9e88 139146 libdevel optional libxtrap-dev_4.3.0-1_i386.deb
 888ed6be40df419ed211a4518bc2a788 126958 libs optional libxtst6_4.3.0-1_i386.deb
 38b4d12e4f491335aa6f675a25f0c907 190746 libdevel extra libxtst6-dbg_4.3.0-1_i386.deb
 ee91b5bfafb19a9ead3f35b63a3dda04 124780 libdevel optional libxtst-dev_4.3.0-1_i386.deb
 27b0f3b96185a67ea5e26f811bf7123c 125048 libs optional libxv1_4.3.0-1_i386.deb
 bac33396f9d53be46ade5da4b7cbf77a 157486 libdevel extra libxv1-dbg_4.3.0-1_i386.deb
 909601c795587902dc10a4408874a839 144980 libdevel optional libxv-dev_4.3.0-1_i386.deb
 78092825fc0e0f0f372534542e008426 135066 x11 optional proxymngr_4.3.0-1_i386.deb
 2a8e7d7854d5bbdea3cc57041e633dbf 217624 x11 optional twm_4.3.0-1_i386.deb
 ebb2e2f0680b2ae24d5d4abb17b76d7c 1896452 x11 optional xbase-clients_4.3.0-1_i386.deb
 08f4294f937f411f40dc2ed9e60aaa15 249690 x11 optional xdm_4.3.0-1_i386.deb
 eeda4eac7a99dd1e3b98992e42e3ff7b 446070 x11 optional xfs_4.3.0-1_i386.deb
 4b2b1f87ec3afd08d607e5645e5ea927 134966 x11 optional xfwp_4.3.0-1_i386.deb
 7fc6b453d5fd1ce6a00d81b7946495cb 4964054 x11 optional xlibmesa-dri_4.3.0-1_i386.deb
 3cddd09d8b697c2565a6d0e2ae194ac9 49439528 x11 optional xlibmesa-dri-dbg_4.3.0-1_i386.deb
 c4658d396d43375855abb7910d2aae4e 236262 libs optional xlibmesa-gl_4.3.0-1_i386.deb
 c9a00338c0d141c60648cf19c5fdf408 1183592 libdevel extra xlibmesa-gl-dbg_4.3.0-1_i386.deb
 d8e9a29bacc8989c4ded76ff5a5b8125 659980 libdevel optional xlibmesa-gl-dev_4.3.0-1_i386.deb
 88d81763dd6e810ff05b8873da5a15e8 317942 libs optional xlibmesa-glu_4.3.0-1_i386.deb
 f3a9174b110e04c42856f8244fdfde50 1064470 libdevel extra xlibmesa-glu-dbg_4.3.0-1_i386.deb
 c5705563f4cc8b69766950f1e5ff31b7 389182 libdevel optional xlibmesa-glu-dev_4.3.0-1_i386.deb
 b59e1d2c18910c609e48ec0f53ebab03 614682 libs optional xlibosmesa4_4.3.0-1_i386.deb
 f156b5df58b4a579981dad90f51fecda 4538872 libdevel extra xlibosmesa4-dbg_4.3.0-1_i386.deb
 1af361e55e605f37be8782fda76fd8c1 745866 libdevel optional xlibosmesa-dev_4.3.0-1_i386.deb
 02793d2fb1b96450aad5a041ea6ccdb0 807786 libdevel optional xlibs-static-dev_4.3.0-1_i386.deb
 d95d0f2a68f7c22d97be89f60342c99f 339714 libdevel extra xlibs-static-pic_4.3.0-1_i386.deb
 f68a599e503b40c5d08ab92f55baeef0 181634 mail extra xmh_4.3.0-1_i386.deb
 81f8ce2307206f65831a53f144c6550e 1422930 x11 optional xnest_4.3.0-1_i386.deb
 a821ae96d5250cafadc079797be98664 1080424 x11 optional xprt_4.3.0-1_i386.deb
 5a4b6972f75fbdd076ad50dee0675d58 285180 x11 optional xserver-common_4.3.0-1_i386.deb
 23175ceae166a234bc829d3317875b22 5449104 x11 optional xserver-xfree86_4.3.0-1_i386.deb
 8ba4ba1718ac5d13028efb4cfec82395 45613924 x11 extra xserver-xfree86-dbg_4.3.0-1_i386.deb
 1d198167a92e24a82946e145d5d8ad52 585638 x11 optional xterm_4.3.0-1_i386.deb
 54b1d7ce2750e262226e4401b8da6693 840968 x11 optional xutils_4.3.0-1_i386.deb
 9d85d289bef540d2519066991c0f7672 1556828 x11 optional xvfb_4.3.0-1_i386.deb
 2075fa6313a3a44a2f922307a1d88ed9 113082 x11 optional x-window-system-core_4.3.0-1_i386.deb
 0b3376383e71f7a5b414c4c21a8c65d2 113134 x11 optional x-window-system-dev_4.3.0-1_i386.deb
 fea7b58ded323e025fbab5b76cf1280c 112878 oldlibs optional xlibmesa3_4.3.0-1_i386.deb
 a8c356b2962d3a1f2a330f4be1ec25d2 113670 libdevel optional pm-dev_4.3.0-1_all.deb
 fce11ee9184aa9e7200b8bc094d4e507 170650 libdevel optional x-dev_4.3.0-1_all.deb
 ea539e76094a08e0145a88e625d74bd4 4315470 x11 optional xfonts-100dpi_4.3.0-1_all.deb
 53a5b7cbcaab9ff67573d38dc9710369 8150766 x11 optional xfonts-100dpi-transcoded_4.3.0-1_all.deb
 e73b8a7493a0a3b8bca5fb314baf22cb 3793312 x11 optional xfonts-75dpi_4.3.0-1_all.deb
 f2447b554de6303b5b14bec1b9f7d46c 7028028 x11 optional xfonts-75dpi-transcoded_4.3.0-1_all.deb
 7931f802b5f9db1519f86c4e19730671 5459448 x11 optional xfonts-base_4.3.0-1_all.deb
 f4c9247b814a3389409a260ffce086d7 1156610 x11 optional xfonts-base-transcoded_4.3.0-1_all.deb
 5294ac1e3781fa1ea4782c3fdff8fcfc 493558 x11 optional xfonts-cyrillic_4.3.0-1_all.deb
 8571e76a3fabdb99a2e1bc3e100f4e9a 854674 x11 optional xfonts-scalable_4.3.0-1_all.deb
 bca917d486f19743ba30adb53ec413d5 675984 x11 optional xfree86-common_4.3.0-1_all.deb
 7dcf3970a3fb3d1dbae2298d9ce47224 359274 libs optional xlibs_4.3.0-1_all.deb
 7f5c04ed630c482dc072a9d0c9fbb468 849824 libs optional xlibs-data_4.3.0-1_all.deb
 00aa2dad9aa2368155e414bc4304dfc1 6080456 x11 optional xspecs_4.3.0-1_all.deb
 1511ec8a5dfed044f2dd83e94123ddaf 113004 x11 optional x-window-system_4.3.0-1_all.deb
 8d60e5177fa521fcf74bba8292bb768c 112862 oldlibs extra xlibmesa3-dbg_4.3.0-1_all.deb
 f6d4b3e1bfbf98f0b16227e3b116de19 112850 oldlibs optional xlibmesa-dev_4.3.0-1_all.deb
 5689efcfd5481c3037a819e8bd5c0f47 112914 oldlibs extra xlibs-dbg_4.3.0-1_all.deb
 7b86a3a581fa123f2d54c6bef45178ad 112914 oldlibs extra xlibs-dev_4.3.0-1_all.deb
 031a80795a4f0d0bf9a9c3cdf0c7f042 112820 oldlibs extra xlibs-pic_4.3.0-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iD8DBQFAFcF1cPClnTztfv0RAj0YAKCGD11mIpVnt86awlRal+H2u1GwRgCfRIPx
6/vgIFDUXIK446v3xnBUj1Q=
=BQnX
-----END PGP SIGNATURE-----




Bug reopened, originator not changed. Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-in-experimental Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Tags added: fixed-in-experimental Request was from Branden Robinson <branden@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Reply sent to Branden Robinson <branden@debian.org>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Eduard Bloch <edi@gmx.de>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #47 received at 179929-close@bugs.debian.org (full text, mbox):

From: Branden Robinson <branden@debian.org>
To: 179929-close@bugs.debian.org
Subject: Bug#179929: fixed in xfree86 4.3.0-2
Date: Wed, 18 Feb 2004 10:32:44 -0500
Source: xfree86
Source-Version: 4.3.0-2

We believe that the bug you reported is fixed in the latest version of
xfree86, which is due to be installed in the Debian FTP archive:

lbxproxy_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/lbxproxy_4.3.0-2_powerpc.deb
libdps-dev_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libdps-dev_4.3.0-2_powerpc.deb
libdps1-dbg_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libdps1-dbg_4.3.0-2_powerpc.deb
libdps1_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libdps1_4.3.0-2_powerpc.deb
libice-dev_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libice-dev_4.3.0-2_powerpc.deb
libice6-dbg_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libice6-dbg_4.3.0-2_powerpc.deb
libice6_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libice6_4.3.0-2_powerpc.deb
libsm-dev_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libsm-dev_4.3.0-2_powerpc.deb
libsm6-dbg_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libsm6-dbg_4.3.0-2_powerpc.deb
libsm6_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libsm6_4.3.0-2_powerpc.deb
libx11-6-dbg_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libx11-6-dbg_4.3.0-2_powerpc.deb
libx11-6_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libx11-6_4.3.0-2_powerpc.deb
libx11-dev_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libx11-dev_4.3.0-2_powerpc.deb
libxaw6-dbg_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxaw6-dbg_4.3.0-2_powerpc.deb
libxaw6-dev_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxaw6-dev_4.3.0-2_powerpc.deb
libxaw6_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxaw6_4.3.0-2_powerpc.deb
libxaw7-dbg_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxaw7-dbg_4.3.0-2_powerpc.deb
libxaw7-dev_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxaw7-dev_4.3.0-2_powerpc.deb
libxaw7_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxaw7_4.3.0-2_powerpc.deb
libxext-dev_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxext-dev_4.3.0-2_powerpc.deb
libxext6-dbg_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxext6-dbg_4.3.0-2_powerpc.deb
libxext6_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxext6_4.3.0-2_powerpc.deb
libxft1-dbg_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxft1-dbg_4.3.0-2_powerpc.deb
libxft1_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxft1_4.3.0-2_powerpc.deb
libxi-dev_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxi-dev_4.3.0-2_powerpc.deb
libxi6-dbg_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxi6-dbg_4.3.0-2_powerpc.deb
libxi6_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxi6_4.3.0-2_powerpc.deb
libxmu-dev_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxmu-dev_4.3.0-2_powerpc.deb
libxmu6-dbg_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxmu6-dbg_4.3.0-2_powerpc.deb
libxmu6_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxmu6_4.3.0-2_powerpc.deb
libxmuu-dev_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxmuu-dev_4.3.0-2_powerpc.deb
libxmuu1-dbg_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxmuu1-dbg_4.3.0-2_powerpc.deb
libxmuu1_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxmuu1_4.3.0-2_powerpc.deb
libxp-dev_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxp-dev_4.3.0-2_powerpc.deb
libxp6-dbg_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxp6-dbg_4.3.0-2_powerpc.deb
libxp6_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxp6_4.3.0-2_powerpc.deb
libxpm-dev_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxpm-dev_4.3.0-2_powerpc.deb
libxpm4-dbg_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxpm4-dbg_4.3.0-2_powerpc.deb
libxpm4_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxpm4_4.3.0-2_powerpc.deb
libxrandr-dev_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxrandr-dev_4.3.0-2_powerpc.deb
libxrandr2-dbg_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxrandr2-dbg_4.3.0-2_powerpc.deb
libxrandr2_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxrandr2_4.3.0-2_powerpc.deb
libxt-dev_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxt-dev_4.3.0-2_powerpc.deb
libxt6-dbg_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxt6-dbg_4.3.0-2_powerpc.deb
libxt6_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxt6_4.3.0-2_powerpc.deb
libxtrap-dev_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxtrap-dev_4.3.0-2_powerpc.deb
libxtrap6-dbg_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxtrap6-dbg_4.3.0-2_powerpc.deb
libxtrap6_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxtrap6_4.3.0-2_powerpc.deb
libxtst-dev_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxtst-dev_4.3.0-2_powerpc.deb
libxtst6-dbg_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxtst6-dbg_4.3.0-2_powerpc.deb
libxtst6_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxtst6_4.3.0-2_powerpc.deb
libxv-dev_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxv-dev_4.3.0-2_powerpc.deb
libxv1-dbg_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxv1-dbg_4.3.0-2_powerpc.deb
libxv1_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/libxv1_4.3.0-2_powerpc.deb
pm-dev_4.3.0-2_all.deb
  to pool/main/x/xfree86/pm-dev_4.3.0-2_all.deb
proxymngr_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/proxymngr_4.3.0-2_powerpc.deb
twm_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/twm_4.3.0-2_powerpc.deb
x-dev_4.3.0-2_all.deb
  to pool/main/x/xfree86/x-dev_4.3.0-2_all.deb
x-window-system-core_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/x-window-system-core_4.3.0-2_powerpc.deb
x-window-system-dev_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/x-window-system-dev_4.3.0-2_powerpc.deb
x-window-system_4.3.0-2_all.deb
  to pool/main/x/xfree86/x-window-system_4.3.0-2_all.deb
xbase-clients_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/xbase-clients_4.3.0-2_powerpc.deb
xdm_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/xdm_4.3.0-2_powerpc.deb
xfonts-100dpi-transcoded_4.3.0-2_all.deb
  to pool/main/x/xfree86/xfonts-100dpi-transcoded_4.3.0-2_all.deb
xfonts-100dpi_4.3.0-2_all.deb
  to pool/main/x/xfree86/xfonts-100dpi_4.3.0-2_all.deb
xfonts-75dpi-transcoded_4.3.0-2_all.deb
  to pool/main/x/xfree86/xfonts-75dpi-transcoded_4.3.0-2_all.deb
xfonts-75dpi_4.3.0-2_all.deb
  to pool/main/x/xfree86/xfonts-75dpi_4.3.0-2_all.deb
xfonts-base-transcoded_4.3.0-2_all.deb
  to pool/main/x/xfree86/xfonts-base-transcoded_4.3.0-2_all.deb
xfonts-base_4.3.0-2_all.deb
  to pool/main/x/xfree86/xfonts-base_4.3.0-2_all.deb
xfonts-cyrillic_4.3.0-2_all.deb
  to pool/main/x/xfree86/xfonts-cyrillic_4.3.0-2_all.deb
xfonts-scalable_4.3.0-2_all.deb
  to pool/main/x/xfree86/xfonts-scalable_4.3.0-2_all.deb
xfree86-common_4.3.0-2_all.deb
  to pool/main/x/xfree86/xfree86-common_4.3.0-2_all.deb
xfree86_4.3.0-2.diff.gz
  to pool/main/x/xfree86/xfree86_4.3.0-2.diff.gz
xfree86_4.3.0-2.dsc
  to pool/main/x/xfree86/xfree86_4.3.0-2.dsc
xfs_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/xfs_4.3.0-2_powerpc.deb
xfwp_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/xfwp_4.3.0-2_powerpc.deb
xlibmesa-dev_4.3.0-2_all.deb
  to pool/main/x/xfree86/xlibmesa-dev_4.3.0-2_all.deb
xlibmesa-dri-dbg_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/xlibmesa-dri-dbg_4.3.0-2_powerpc.deb
xlibmesa-dri_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/xlibmesa-dri_4.3.0-2_powerpc.deb
xlibmesa-gl-dbg_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/xlibmesa-gl-dbg_4.3.0-2_powerpc.deb
xlibmesa-gl-dev_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/xlibmesa-gl-dev_4.3.0-2_powerpc.deb
xlibmesa-gl_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/xlibmesa-gl_4.3.0-2_powerpc.deb
xlibmesa-glu-dbg_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/xlibmesa-glu-dbg_4.3.0-2_powerpc.deb
xlibmesa-glu-dev_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/xlibmesa-glu-dev_4.3.0-2_powerpc.deb
xlibmesa-glu_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/xlibmesa-glu_4.3.0-2_powerpc.deb
xlibmesa3-dbg_4.3.0-2_all.deb
  to pool/main/x/xfree86/xlibmesa3-dbg_4.3.0-2_all.deb
xlibmesa3_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/xlibmesa3_4.3.0-2_powerpc.deb
xlibosmesa-dev_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/xlibosmesa-dev_4.3.0-2_powerpc.deb
xlibosmesa4-dbg_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/xlibosmesa4-dbg_4.3.0-2_powerpc.deb
xlibosmesa4_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/xlibosmesa4_4.3.0-2_powerpc.deb
xlibs-data_4.3.0-2_all.deb
  to pool/main/x/xfree86/xlibs-data_4.3.0-2_all.deb
xlibs-dbg_4.3.0-2_all.deb
  to pool/main/x/xfree86/xlibs-dbg_4.3.0-2_all.deb
xlibs-dev_4.3.0-2_all.deb
  to pool/main/x/xfree86/xlibs-dev_4.3.0-2_all.deb
xlibs-pic_4.3.0-2_all.deb
  to pool/main/x/xfree86/xlibs-pic_4.3.0-2_all.deb
xlibs-static-dev_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/xlibs-static-dev_4.3.0-2_powerpc.deb
xlibs-static-pic_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/xlibs-static-pic_4.3.0-2_powerpc.deb
xlibs_4.3.0-2_all.deb
  to pool/main/x/xfree86/xlibs_4.3.0-2_all.deb
xmh_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/xmh_4.3.0-2_powerpc.deb
xnest_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/xnest_4.3.0-2_powerpc.deb
xprt_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/xprt_4.3.0-2_powerpc.deb
xserver-common_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/xserver-common_4.3.0-2_powerpc.deb
xserver-xfree86-dbg_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/xserver-xfree86-dbg_4.3.0-2_powerpc.deb
xserver-xfree86_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/xserver-xfree86_4.3.0-2_powerpc.deb
xspecs_4.3.0-2_all.deb
  to pool/main/x/xfree86/xspecs_4.3.0-2_all.deb
xterm_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/xterm_4.3.0-2_powerpc.deb
xutils_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/xutils_4.3.0-2_powerpc.deb
xvfb_4.3.0-2_powerpc.deb
  to pool/main/x/xfree86/xvfb_4.3.0-2_powerpc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 179929@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Branden Robinson <branden@debian.org> (supplier of updated xfree86 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Wed, 18 Feb 2004 00:28:20 -0500
Source: xfree86
Binary: libx11-6-dbg libxtst6-dbg xserver-common xlibs-static-dev libxp6-dbg xbase-clients xlibmesa3-dbg libxtrap6-dbg xfonts-75dpi libxt6 libice6-dbg xmh libxaw6-dbg x-dev libxv1 libxext6-dbg xlibmesa-dev libxpm4 libxtst6 xlibmesa-gl-dev xfonts-cyrillic libx11-6 libsm6-dbg xlibs-pic xlibs-data x-window-system xfree86-common xlibmesa-dri xlibmesa3 libxv1-dbg libxrandr2 xlibmesa-glu libxaw7-dev xnest libxaw6 xterm libxp6 xlibmesa-dri-dbg libxrandr2-dbg libxmu6 xlibmesa-glu-dbg libx11-dev xlibs-static-pic libxpm4-dbg libxaw7-dbg libxmu6-dbg xlibmesa-glu-dev libxmuu-dev pm-dev libxext6 libxft1-dbg libxtst-dev libxv-dev libxp-dev twm x-window-system-dev libsm-dev xfonts-scalable libdps1-dbg libxmuu1-dbg xfwp libice6 libxmu-dev xlibs libdps-dev xserver-xfree86-dbg libxrandr-dev libsm6 xserver-xfree86 libdps1 proxymngr xfonts-base-transcoded libxaw6-dev lbxproxy x-window-system-core xutils xspecs libxtrap6 libice-dev libxt-dev xfs libxmuu1 libxi6-dbg xfonts-base xlibs-dbg libxpm-dev xlibmesa-gl xfonts-100dpi-transcoded libxtrap-dev xfonts-100dpi libxext-dev xfonts-75dpi-transcoded xlibosmesa4-dbg libxft1 xprt libxi-dev xlibosmesa-dev xlibosmesa4 xvfb libxaw7 xlibmesa-gl-dbg xdm xlibs-dev libxi6 libxt6-dbg
Architecture: source powerpc all
Version: 4.3.0-2
Distribution: unstable
Urgency: high
Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Changed-By: Branden Robinson <branden@debian.org>
Description: 
 lbxproxy   - Low Bandwidth X (LBX) proxy server
 libdps-dev - Display PostScript (DPS) client library development files
 libdps1    - Display PostScript (DPS) client library
 libdps1-dbg - Display PostScript (DPS) client library (unstripped)
 libice-dev - Inter-Client Exchange library development files
 libice6    - Inter-Client Exchange library
 libice6-dbg - Inter-Client Exchange library (unstripped)
 libsm-dev  - X Window System Session Management library development files
 libsm6     - X Window System Session Management library
 libsm6-dbg - X Window System Session Management library (unstripped)
 libx11-6   - X Window System protocol client library
 libx11-6-dbg - X Window System protocol client library (unstripped)
 libx11-dev - X Window System protocol client library development files
 libxaw6    - X Athena widget set library (version 6)
 libxaw6-dbg - X Athena widget set library (version 6, unstripped)
 libxaw6-dev - X Athena widget set library development files (version 6)
 libxaw7    - X Athena widget set library
 libxaw7-dbg - X Athena widget set library (unstripped)
 libxaw7-dev - X Athena widget set library development files
 libxext-dev - X Window System miscellaneous extension library development files
 libxext6   - X Window System miscellaneous extension library
 libxext6-dbg - X Window System miscellaneous extension library (unstripped)
 libxft1    - FreeType-based font drawing library for X (version 1)
 libxft1-dbg - FreeType-based font drawing library for X (version 1, unstripped)
 libxi-dev  - X Window System Input extension library development files
 libxi6     - X Window System Input extension library
 libxi6-dbg - X Window System Input extension library (unstripped)
 libxmu-dev - X Window System miscellaneous utility library development files
 libxmu6    - X Window System miscellaneous utility library
 libxmu6-dbg - X Window System miscellaneous utility library (unstripped)
 libxmuu-dev - lightweight X Window System miscellaneous utility library develop
 libxmuu1   - lightweight X Window System miscellaneous utility library
 libxmuu1-dbg - lightweight X Window System miscellaneous utility library (unstri
 libxp-dev  - X Window System printing extension library development files
 libxp6     - X Window System printing extension library
 libxp6-dbg - X Window System printing extension library (unstripped)
 libxpm-dev - X pixmap library development files
 libxpm4    - X pixmap library
 libxpm4-dbg - X pixmap library (unstripped)
 libxrandr-dev - X Window System Resize, Rotate and Reflection extension library d
 libxrandr2 - X Window System Resize, Rotate and Reflection extension library
 libxrandr2-dbg - X Window System Resize, Rotate and Reflection extension library (
 libxt-dev  - X Toolkit Intrinsics development files
 libxt6     - X Toolkit Intrinsics
 libxt6-dbg - X Toolkit Intrinsics (unstripped)
 libxtrap-dev - X Window System protocol-trapping extension library development f
 libxtrap6  - X Window System protocol-trapping extension library
 libxtrap6-dbg - X Window System protocol-trapping extension library (unstripped)
 libxtst-dev - X Window System event recording and testing extension library dev
 libxtst6   - X Window System event recording and testing extension library
 libxtst6-dbg - X Window System event recording and testing extension library (un
 libxv-dev  - X Window System video extension library development files
 libxv1     - X Window System video extension library
 libxv1-dbg - X Window System video extension library (unstripped)
 pm-dev     - proxy management protocol development files
 proxymngr  - X proxy services manager
 twm        - Tab window manager
 x-dev      - X protocol development files
 x-window-system - X Window System
 x-window-system-core - X Window System core components
 x-window-system-dev - X Window System development components
 xbase-clients - miscellaneous X clients
 xdm        - X display manager
 xfonts-100dpi - 100 dpi fonts for X
 xfonts-100dpi-transcoded - 100 dpi fonts for X (transcoded from ISO 10646-1)
 xfonts-75dpi - 75 dpi fonts for X
 xfonts-75dpi-transcoded - 75 dpi fonts for X (transcoded from ISO 10646-1)
 xfonts-base - standard fonts for X
 xfonts-base-transcoded - standard fonts for X (transcoded from ISO 10646-1)
 xfonts-cyrillic - Cyrillic fonts for X
 xfonts-scalable - scalable fonts for X
 xfree86-common - X Window System (XFree86) infrastructure
 xfs        - X font server
 xfwp       - X firewall proxy server
 xlibmesa-dev - XFree86 Mesa development libraries pseudopackage
 xlibmesa-dri - Mesa 3D graphics library modules [XFree86]
 xlibmesa-dri-dbg - Mesa 3D graphics library modules (unstripped) [XFree86]
 xlibmesa-gl - Mesa 3D graphics library [XFree86]
 xlibmesa-gl-dbg - Mesa 3D graphics library (unstripped) [XFree86]
 xlibmesa-gl-dev - Mesa 3D graphics library development files [XFree86]
 xlibmesa-glu - Mesa OpenGL utility library [XFree86]
 xlibmesa-glu-dbg - Mesa OpenGL utility library (unstripped) [XFree86]
 xlibmesa-glu-dev - Mesa OpenGL utility library development files [XFree86]
 xlibmesa3  - XFree86 Mesa libraries pseudopackage
 xlibmesa3-dbg - XFree86 Mesa unstripped libraries pseudopackage
 xlibosmesa-dev - Mesa off-screen rendering library development files [XFree86]
 xlibosmesa4 - Mesa off-screen rendering library [XFree86]
 xlibosmesa4-dbg - Mesa off-screen rendering library (unstripped) [XFree86]
 xlibs      - X Window System client libraries metapackage and XKB data
 xlibs-data - X Window System client data
 xlibs-dbg  - X Window System unstripped client libraries pseudopackage
 xlibs-dev  - X Window System client library development files pseudopackage
 xlibs-pic  - XFree86 static PIC libraries pseudopackage
 xlibs-static-dev - X Window System client library development files
 xlibs-static-pic - X Window System client extension library PIC archives
 xmh        - X interface to the MH mail system
 xnest      - nested X server
 xprt       - X print server (XFree86 version)
 xserver-common - files and utilities common to all X servers
 xserver-xfree86 - the XFree86 X server
 xserver-xfree86-dbg - the XFree86 X server (static version with debugging symbols)
 xspecs     - X protocol, extension, and library technical specifications
 xterm      - X terminal emulator
 xutils     - X Window System utility programs
 xvfb       - virtual framebuffer X server
Closes: 110974 112703 115223 117454 128125 129216 138883 142569 143825 145420 148008 148775 152796 164780 165849 167910 172550 176014 179929 183300 183619 184322 185443 185936 186237 187365 187374 188842 190323 191915 194136 194144 194351 196058 196810 197058 199111 200857 204358 209352 210651 211528 212186 215831 215997 216896 221686 223024 224757 225408 225759 226292 227217 227616 228408 228704 228810 231531
Changes: 
 xfree86 (4.3.0-2) unstable; urgency=low
 .
   * The "It's like I have a shotgun in my mouth, I've got my finger on the
     trigger, and I like the taste of the gunmetal." release.
 .
   * Set the f---ing distribution to unstable instead of experimental.
 .
 xfree86 (4.3.0-1) experimental; urgency=low
 .
   * Grab fixes to upstream CVS xf-4_3-branch since last pull.
     - debian/patches/000_post430.diff:
       + (xc/lib/freetype2/Imakefile):
           Include backwards compatibility API for renamed stream functions in
           Freetype2 library.
       + (xc/programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c):
           1011. Build fix for the i810 driver when XF86DRI isn't defined
                 (#6006, Matthias Scheler).
       + (xc/extras/freetype2/src/sfnt/ttcmap.c.save,
          xc/extras/freetype2/src/truetype/ttdriver.c.save,
          xc/extras/freetype2/src/type1/t1driver.c.save,
          xc/extras/freetype2/src/winfonts/winfnt.c.save):
           Remove extra files that shouldn't be there (Bang Jun-Young).
       + (xc/lib/font/fontfile/dirfile.c):
           Fix font alias overrun. [SECURITY FIX] (CAN-2004-0083)
       + (xc/config/cf/Imake.tmpl):
           Make sure a default for HasShadowPasswd gets defined.
       + (xc/programs/Xserver/hw/xfree86/os-support/xf86drm.h):
           1009. Fix DRM_CAS on ia64 as used by the DRI (Bugzilla #778, John
                 Dennis). (Alan Hourihane)
       + (xc/lib/freetype2/Imakefile):
           Include backwards compatibility API for renamed stream functions in
           Freetype2 library.
       + (xc/programs/Xserver/hw/xfree86/drivers/i810/i830_driver.c):
           1011. Build fix for the i810 driver when XF86DRI isn't defined (#6006,
                 Matthias Scheler).
       + (xc/extras/freetype2/src/sfnt/ttcmap.c.save,
          xc/extras/freetype2/src/truetype/ttdriver.c.save,
          xc/extras/freetype2/src/type1/t1driver.c.save,
          xc/extras/freetype2/src/winfonts/winfnt.c.save):
           Remove extra files that shouldn't be there (Bang Jun-Young).
       + (xc/lib/font/fontfile/dirfile.c):
           1012. Fix font alias overrun.
       + (xc/config/cf/Imake.tmpl):
           Make sure a default for HasShadowPasswd gets defined.
       + (xc/lib/font/fontfile/dirfile.c,
          xc/lib/font/fontfile/encparse.c,
          xc/lib/font/fontfile/fontfile.c):
           1013. Some more font path checks.
     - debian/patches/000_stolen_from_HEAD_doc_extensions_fix.diff: resync
     - debian/patches/000_stolen_from_HEAD_i830_driver.diff: resync
     - debian/patches/041_make_xcursor_icondir_configurable.diff: resync
 .
   * Fix syntax error in build-server (thanks, David Schmitt).
     (Closes: #225408)
     - debian/rules
 .
   * Add new target to rules file, "patch-audit", upon which build targets
     depend.  This target ensures that the patches to the upstream source
     applied cleanly (no offsets, no fuzz).
     - debian/README: document new patch-audit target
     - debian/rules: implement new patch-audit target
 .
   * Use hardlinks instead of symlinks when copying build tree for debugging
     server build in build-server target (thanks, David Schmitt).
     - debian/rules
 .
   * Search for external Xrender and Xft libraries in /usr/lib instead of
     /usr/X11R6/lib when symlinking them to the local exports directory for
     build purposes.  Update build-dependencies on these libraries' -dev
     packages to ensure their files are where we expect them.
     [ISHIKAWA Mutsumi]
     - debian/rules:
       + symlink libXrender.* from /usr/lib instead of /usr/X11R6/lib
       + symlink libXft.* from /usr/lib instead of /usr/X11R6/lib
     - debian/control:
       + update build-dependency from libxft2-dev to libxft-dev (>= 2.1.2)
       + update build-dependency from libxrender-dev to libxrender-dev
         (>= 0.8.3)
 .
   * Stop short-circuiting past update of debconf choices information for
     share/default-x-display-manager template if either the existing owners or
     choices information are null -- doing so was causing some people not to be
     prompted to set their default X display manager when they should have
     been.  Improve debugging output.  (Closes: #226292)
     - debian/xdm.config.in
     - debian/xdm.{postinst,postrm,prerm}.in: add observe() calls to default
       display manager file updates
 .
   * Add new Debian X FAQ entry, "Why are some fonts (or graphical rulers)
     sized incorrectly?", based on text submitted by Eduard Bloch (thanks,
     Eduard!).  (Closes: #227217)
     - debian/local/FAQ
 .
   * Move rstard.real executable from /etc/X11/rstart to /usr/X11R6/bin.
     (Closes: #143825)
     - debian/patches/000_stolen_from_HEAD.diff:
       (xc/programs/rstart/Imakefile):
       + [Fix] Missing depend target [Marc Aurele La France]
       + Allow rstartd.real to be installed into a location other than LIBDIR
         (#6034, Luke Mewburn).
     - debian/patches/912_debian_rstart.real_location.diff:
       (xc/programs/rstart/Imakefile): use BINDIR instead of MYLIBDIR when
       dealing with RSERVERNAME
     - debian/MANIFEST.*: note new location
     - debian/NEWS: a conffile is being removed on upgrade, so inform users of
       this fact in the unlikely event they customized this ELF executable
     - debian/xutils.install*: ship file from its new location
     - debian/xutils.{postinst,preinst,prerm}.in: prepare, roll back, and
       commit removal of conffile as needed
 .
   * Add Greek debconf template translations (thanks, Konstantinos Margaritis).
     Re-run debconf-updatepo.  (Closes: #227616)
     - debian/po/el.po: new
     - debian/po/{templates.pot,*.po}: cosmetic updates made by
       debconf-updatepo
 .
   * Fix initialisation of some DRI parameters for RV280 chips (and possibly
     others with the R200 3D core). (Closes: #225759)
     [Michel Dänzer]
     - debian/patches/030b_radeon_rv280_support.diff
     - debian/patches/451_ia64_radeon_pagesize.diff: adjust offsets
 .
   * Update build-dependencies; kernel-headers-2.4 (virtual package) becomes
     linux-kernel-headers (real package) and "libpng12-0-dev | libpng-dev"
     becomes "libpng12-dev | libpng-dev" (libpng12-0-dev is no more).
     - debian/control
 .
   * Make x-window-system depend on xprt-xprintorg instead of xprt until
     XFree86 gets a fixed XPRINT server.  (Closes: #209352)
     - debian/control
 .
   * Acknowledge the long-awaited unscrewing of GNU CPP's -traditional support.
     Remove build-dependency on cpp-3.2 (cpp is build-essential); add
     build-conflict on cpp-3.3 prior to 1:3.3.3ds1-0pre1; generalize
     xbase-clients's, xdm's, and xutils's dependencies from cpp-3.2 to cpp; and
     add conflict for each of these packages with versions of cpp-3.3 prior to
     1:3.3.3ds1-0pre1.  Remove patch that defines CppCmd to be cpp-3.2.
     - debian/control
     - debian/patches/003a_damn_cpp_3.3_to_hell.diff: deleted
 .
   * Grab from upstream CVS HEAD a patch to the DIX layer to work around
     spurious repeated keyboard events during sync grabs when using the XKB
     extension (thanks to Mark Histed for the tip).  (Closes: #142569)
     - debian/patches/000_stolen_from_HEAD.diff
 .
   * Grab (from upstream Mesa 5.1) a patch which re-implements the x86 CPU
     detection code, which should rectify problems with spurious detection and
     attempted usage of 3Dnow! extensions on Pentium 4 processors (thanks, Petr
     Sebor).  (Closes: #215831)
     - debian/patches/000_stolen_from_Mesa_5.1.diff
 .
   * Update German debconf template translations (thanks, Alwin Meschede).
     Re-run debconf-updatepo.  (Closes: #228704)
     - debian/po/de.po
     - debian/po/{templates.pot,*.po}: cosmetic updates made by
       debconf-updatepo
 .
   * Fix some bit rot in patch to xdm's session.c file; upstream has changed
     StartClient() to use a locally-scoped variable called pamh which is
     initialized to the return of thepamh(), instead of calling thepamh() every
     time the PAM handle is needed.
     - debian/patches/002_xdm_fixes.diff
 .
   * Drop xlibs-static-dev's (exact versioned) dependency on xlibs, since I
     cannot think of a justification for it.  XKB data is not needed to compile
     objects that use XKB extension libraries, there is nothing else in xlibs,
     xlibs-static-dev still depends on -dev packages necessary to link objects
     using the libraries in this package, there is no shared counterpart for
     the libraries in this package upon which to declare an exact versioned
     dependency, and xlibs-static-dev is Architecture: any while xlibs is
     Architecture: all -- this renders binary-only NMUs of xfree86 impossible.
     Thanks to Colin Watson for bringing this issue up on debian-policy.
     - debian/control
 .
   * Create the /etc/X11 directory in the xserver-common and xserver-xfree86
     package preinst scripts if the directory does not already exist.  These
     scripts may need to create files (or symlinks) in these directories,
     xfree86-common may not have been unpacked yet, and Pre-Depending on it is
     too heavyweight a solution.  Also, reduce the amount of hard-coding of the
     /etc/X11 directory, moving it into a shell variable instead.  Finally,
     remove the /etc/X11 directory on package purge if it is empty (it is
     not in dpkg's file list, as these packages do not ship it).  Thanks to
     Joey Hess for finding this problem.  (Closes: #228810)
     - debian/xserver-common.{config,preinst,postinst,postrm}.in
     - debian/xserver-xfree86.{config,preinst,postinst,prerm,postrm}.in
 .
   * Add versioned build-dependency on linux-kernel-headers (>=
     2.5.999-test7-bk-15) for SPARC only; previous versions of
     linux-kernel-headers have a bug that causes XFree86 builds to fail on that
     architecture.
     - debian/control
 .
   * Fix Xv support in r128 driver to work in conjuction with an earlier patch
     to let the driver permit framebuffer pitches in multiples of 8 bytes,
     which enabled support for some models of Rage 128, but broke video in
     depth 24 (thanks, Michel Dänzer and Dagfinn Ilmari Mannsåker).
     (Closes: #148775)
     - debian/patches/022_r128_driver_pitch_tweak.diff
 .
   * Add recognition of two models of Radeon Mobility 9200 ("M9+") as
     RV280-based chipsets (and as Mobility products).
     - debian/patches/099_ati_recognize_more_RV280_models.diff
 .
   * Attempt again to fix the problem with Xlib not finding the Xcursor library
     to dynamically open it.  Dynamic loading of Xcursor by Xlib wasn't working
     when an external Xcursor library was available during the build; Xlib was
     being told that the name of the Xcursor object was "Xcursor.so.", because
     SOXCURSORREV was only defined in xc/lib/Xcursor/Imakefile, which is not
     used when an external Xcursor library is used.
     - debian/patches/099c_support_loadable_external_Xcursor_lib.diff
 .
   * Add Czech debconf template translations (thanks, Miroslav Kure).  Re-run
     debconf-updatepo.  (Closes: #231531)
     - debian/po/cs.po: new
 .
   * Revert reordering of xfs's default font catalogue (and default font path
     element order in XFree86 X server configuration files written by dexconf)
     performed in 4.2.1-6.  Low-resolution character-cell fonts (such as those
     used by terminal emulators) come first, followed by unscaled 100dpi and
     75dpi bitmap fonts, followed by Type1 fonts (after the unscaled bitmap
     fonts, because the type1 rasterizer in X is not very good), CID, and
     Speedo fonts, and finally scaled 100dpi and 75dpi fonts.  Attempting to
     follow the advice in README.fonts just doesn't work too well for us.
     (Closes: #199111)
     - debian/local/dexconf
     - debian/patches/906_debian_xfs.diff
 .
   * Update Danish debconf template translations (thanks, Claus Hindsgaul).
     - debian/po/da.po
 .
   * Make xlibmesa-dri-dbg conflict with and replace xlibmesa3-gl-dbg (>=
     4.2.1-13) due to file overlaps with unstripped DRI modules.
     - debian/control
 .
   * Make libxv-dev conflict with and replace xlibs-dev (<< 4.3.0) due to file
     overlap with Xv header files, static library, and manpages.
     - debian/control
 .
 xfree86 (4.3.0-0pre1v5) experimental; urgency=low
 .
   * Grab fixes to upstream CVS xf-4_3-branch since last pull.
     - debian/patches/000_post430.diff:
       + (xc/programs/Xserver/hw/xfree86/doc/sgml/LICENSE.sgml,
          xc/programs/xdm/{genauth.c,prngc.c}):
           Grab licenses clarifications from trunk. (Matthieu Herrb)
       + (xc/programs/Xserver/hw/xfree86/doc/LICENSE):
           update formatted docs (Matthieu Herrb)
       + (xc/programs/Xserver/hw/xfree86/drivers/i810/{common.h,i810.h,
         i810.man,i830.h,i830_cursor.c,i830_dri.c,i830_dri.h,i830_driver.c,
         i830_memory.c,i830_video.c}):
           Fix some i830+ VT switch/exit crashes (David Dawes, Egbert Eich).
     - debian/patches/002_xdm_fixes.diff: resynced
     - debian/patches/056_i810_make_i830_usable.diff: resynced
 .
   * Update Debian copyright file to resync with update to upstream LICENSE
     file (new BSD-style licenses from Theodore Ts'o, Theo de Raadt, and
     Damien Miller).
     - debian/copyright
 .
   * Undocument the restriction on loading both freetype and xtt modules in
     the XFree86 X server's debconf questions, since this restriction no longer
     exists in XFree86 4.3.  Enable the xtt module by default.
     - debian/xserver-xfree86.templates
 .
   * Update xlibs and xlibs-data's package descriptions to clarify that X
     Keyboard Extension (XKB) data is in xlibs, but other
     architecture-independent data is in xlibs-data.  The XKB data has not
     moved because dpkg supports no mechanism for migrating conffiles between
     packages, and it is unacceptable for people to be spuriously shown dpkg's
     changed-conffile prompt dozens of times when upgrading from versions of
     xlibs prior to 4.3.0.
     - debian/control
 .
   * Correct mispelling of forthcoming package name in xlibs's shlibs file; the
     package containing libXmuu.so.1 will be called "libxmuu1", not "libxmuu6".
     - debian/xlibs.shlibs
 .
   * Move correction of old /usr/X11R6/lib/X11/locale symlink problem from
     xlibs package to xlibs-data, and convert from simple remove-in-preinst
     approach to prepare-preinst/commit-postinst/rollback-postrm model.
     Correct mis-self-identification of xlibs-data's maintainer scripts (caused
     by sloppy cut-and-pasting), correct and update their copyright
     information, and use debhelper to ship the
     /usr/X11R6/lib/X11/icons/default directory instead of creating it behind
     the packaging system's back in xlibs-data's postinst.
     - debian/xlibs-data.dirs
     - debian/xlibs-data.postinst.in
     - debian/xlibs-data.postrm.in
     - debian/xlibs-data.preinst.in
     - debian/xlibs-data.prerm.in
     - debian/xlibs.preinst.in
 .
   * Patch Xlib (CrGlCur.c) to search harder for an Xcursor library.  Not
     everybody has symlinks on their system for compile-time linking of objects
     with libXcursor.  Attempt to find "libXcursor.so.1" first, then (per the
     existing code), fall back to "libXcursor.so" and finally "libXcursor".
     (Closes: #204358)
     - debian/patches/099a_improve_search_for_libXcursor.diff
 .
   * Update the extended descriptions of packages that depend on cpp-3.2 to
     explain why they use cpp in general, and why cpp-3.2 in particular.
     - debian/control
 .
   * Move unstripped versions of the Mesa DRI modules from the (renamed)
     xlibmesa3-gl-dbg package to the new package xlibmesa-dri-dbg.
     - debian/control
     - debian/xlibmesa-dri-dbg.install.alpha
     - debian/xlibmesa-dri-dbg.install.i386
     - debian/xlibmesa-dri-dbg.install.ia64
     - debian/xlibmesa-dri-dbg.install.powerpc
     - debian/xlibmesa-dri-dbg.install.sparc
 .
   * Grab latest fixes to upstream CVS xf-4_3-branch.
     - debian/patches/000_post430.diff:
       (xc/programs/Xserver/hw/xfree86/os-support/xf86drm.h):
         1009. Fix DRM_CAS on ia64 as used by the DRI (Bugzilla #778, John
               Dennis). (Alan Hourihane)
     - debian/patches/453_ia64_fix_radeon_dri_deadlock.diff: deleted;
         superseded by upstream patch
 .
   * Fix building against 2.6.x kernel headers by adding '#define rate period'
     where needed. [Fabio Massimo Di Nitto, Daniel Stone]
     - debian/patches/000_stolen_from_HEAD.diff
 .
   * Stop shipping render and renderproto.h in xlibs-dev.
     - debian/xlibs-dev.install
     - debian/xlibs-dev.install.hurd-i386
     - debian/xlibs-dev.install.s390
 .
   * Make i830 driver automatically reserve the amount of memory specified in
     'Option "VideoRAM"', eliminating the need for an external program. Grab a
     couple of other small fixes from HEAD, and integrate this with patch #056.
     - debian/patches/000_stolen_from_HEAD_i830_driver.diff: new
     - debian/patches/056_i810_make_i830_usable.diff: deleted
     [Daniel Stone]
 .
   * Add package relationships with xlibs-data and xutils where needed, and
     explain them in packages' extended descriptions.
     - debian/control:
       + xbase-clients depends on xlibs-data: the bitmap, editres, viewres,
         xbiff, xcalc, xconsole, xditview, xedit, xf86cfg, xman, xsetroot, and
         xsm programs use bitmap images provided by the xlibs-data package.
       + xmh depends on xlibs-data: the xmh program uses bitmap images provided
         by the xlibs-data package.
       + xterm recommends xutils: the uxterm command requires the luit program
         from the xutils package.
       + xterm depends on xlibs-data: the xterm program uses bitmap images
         provided by the xlibs-data package.
       + xutils suggests xlibs-data: the luit program requires locale
         information from the xlibs-data package (add luit to list of programs
         in xutils's extended description while we're at it).
 .
   * In maintainer scripts, query the terminal to establish a default number of
     columns to use for displaying messages to the user.  This is used only as
     a fallback in the event the COLUMNS variable is not set.  Change from
     using fold to format messages to fmt, so we can get indentation on wrapped
     lines, making them easier to read.  Remove unused message_nonl() function.
     - debian/shell-lib.sh
 .
   * Move correction of old /usr/X11R6/lib/X11/locale symlink problem from
     xlibs package to xlibs-data, and convert from simple remove-in-preinst
     approach to prepare-preinst/commit-postinst/rollback-postrm model.
     Correct mis-self-identification of xlibs-data's maintainer scripts (caused
     by sloppy cut-and-pasting), correct and update their copyright
     information, and use debhelper to ship the
     /usr/X11R6/lib/X11/icons/default directory instead of creating it behind
     the packaging system's back in xlibs-data's postinst.
     - debian/xlibs-data.dirs
     - debian/xlibs-data.postinst.in
     - debian/xlibs-data.postrm.in
     - debian/xlibs-data.preinst.in
     - debian/xlibs-data.prerm.in
     - debian/xlibs.preinst.in
 .
   * Split xlibs package into one package per shared library, keeping only the
     XKB data files in xlibs (see above).  The XRX plugin
     (/usr/X11R6/lib/libxrx.so.6.3) and its manpage are being dropped entirely.
     - debian/xlibs.install: stop shipping everything but the XKB data
     - debian/xlibs.{dirs,links,postinst.in,postrm.in,preinst.in,shlibs,
       shlibs.dummy}: deleted
     - debian/rules: eliminate special dh_shlibdeps handling for xlibs package;
       add special dh_shlibdeps handling for libdps1 and libx11-6 (see below)
     - debian/scripts/manifest-install-reconcile: add libxrx shared library and
       object to list of files expected to be unshipped
     - debian/shell-lib.sh: define new functions to aid maintainer scripts of
       new libraries
       + register_x_lib_dir_with_ld_so(): add /usr/X11R6/lib to /etc/ld.so.conf
         if needed
       + deregister_x_lib_dir_with_ld_so(): remove /usr/X11R6/lib from
         /etc/ld.so.conf when no shared libraries left in directory
     - debian/{libice6,libsm6,libx11-6,libxext6,libxft1,libxi6,libxmu6,
       libxmuu1,libxp6,libxpm4,libxrandr2,libxt6,libxtrap6,libxtst6,
       libxv1}.install: new; ship shared library
     - debian/{libice6,libsm6,libx11-6,libxext6,libxft1,libxi6,libxmu6,
       libxmuu1,libxp6,libxpm4,libxrandr2,libxt6,libxtrap6,libxtst6,
       libxv1}.links: new; ship SONAME symlinks to shared libraries
     - debian/{libice6,libsm6,libx11-6,libxext6,libxft1,libxi6,libxmu6,
       libxmuu1,libxp6,libxpm4,libxrandr2,libxt6,libxtrap6,libxtst6,
       libxv1}.shlibs: new; provide shlibs file, specifying alternative
       versioned dependencies on older versions of xlibs (except in the case of
       libxv1, for which a shared version did not exist in XFree86 prior to
       4.3)
     - debian/{libdps1,libx11-6}.shlibs.local: add special local shlibs files
       for use during the package build so that libdps1 and libx11-6 do not get
       spurious self-dependencies; libdps1 ships three related shared
       libraries, and libx11-6 ships loadable modules for Xlib that reference
       symbols in Xlib -- both of these cases confuse dpkg-shlibdeps (via
       dh_shlibdeps)
     - debian/{libice6,libsm6,libx11-6,libxext6,libxft1,libxi6,libxmu6,
       libxmuu1,libxp6,libxpm4,libxrandr2,libxt6,libxtrap6,libxtst6,
       libxv1}.{postinst,postrm}: new; call register_x_lib_dir_with_ld_so(),
       deregister_x_lib_dir_with_ld_so(), and ldconfig as appropriate
     - debian/{libx11-6,libxt6}.{preinst,postinst,postrm}: migrate
       /usr/X11R6/lib/X11/{app-defaults,xkb} prepare/commit/rollback handling
       from xlibs maintainer scripts, now deceased
     - debian/libx11-6.links: migrated from xlibs.links for
       /usr/X11R6/lib/X11/xkb symlink
     - debian/libxt6.dirs: migrated from xlibs.dirs for /etc/X11/app-defaults
       directory
     - debian/libxt6.links: migrated from xlibs.links for
       /usr/X11R6/lib/X11/app-defaults symlink
     - debian/control: update package data to reflect split
       + add stanzas for new packages libice6, libsm6, libx11-6, libxext6,
         libxft1, libxi6, libxmu6, libxmuu1, libxp6, libxpm4, libxrandr2,
         libxt6, libxtrap6, libxtst6, xlibs-data
       + libx11-6 depends on xfree86-common (>> 4.3.0) and xlibs-data; needs
         xlibs-data for locale data and X error and keysym databases
       + xlibs is now a transitional package depending on the packages into
         which it split
       + sanitize xlibs's conflicts and replaces relationships by removing
         versioned conflicts on withdrawn packages (except where they continue
         to be Provided by still-existing packages)
       + xlibs is now an architecture-independent package
       + xlibs no longer provides libxpm4
       + rewrite xlibs's short and extended descriptions
 .
   * Split xlibs-dbg package into one package per shared library.
     - debian/xlibs-dbg.install: deleted
     - debian/xlibs-dbg.links: deleted
     - debian/{libice6-dbg,libsm6-dbg,libx11-6-dbg,libxext6-dbg,libxft1-dbg,
       libxi6-dbg,libxmu6-dbg,libxmuu1-dbg,libxp6-dbg,libxpm4-dbg,
       libxrandr2-dbg,libxt6-dbg,libxtrap6-dbg,libxtst6-dbg,
       libxv1-dbg}.install: new; populated from xlibs-dbg.install
     - debian/{libice6-dbg,libsm6-dbg,libx11-6-dbg,libxext6-dbg,libxft1-dbg,
       libxi6-dbg,libxmu6-dbg,libxmuu1-dbg,libxp6-dbg,libxpm4-dbg,
       libxrandr2-dbg,libxt6-dbg,libxtrap6-dbg,libxtst6-dbg,
       libxv1-dbg}.links: new; populated from xlibs-dbg.links
     - debian/control: update package data to reflect split
       + add stanzas for new packages libice6-dbg, libsm6-dbg, libx11-6-dbg,
         libxext6-dbg, libxft1-dbg, libxi6-dbg, libxmu6-dbg, libxmuu1-dbg,
         libxp6-dbg, libxpm4-dbg, libxrandr2-dbg, libxt6-dbg, libxtrap6-dbg,
         libxtst6-dbg, libxv1-dbg
       + xlibs-dbg is now a pseudopackage depending on the packages into which
         it split
       + update x-window-system-dev to depend on the packages split from
         xlibs-dbg instead of xlibs-dbg itself
     - debian/rules:
       + don't dh_strip new -dbg packages
       + let dh_strip have its wicked way with xlibs-dbg, which no longer has a
         payload
 .
   * Split xlibs-dev package into one package per shared library, plus separate
     packages for Proxy Management protocol headers (pm-dev), X protocol
     headers (x-dev), and libraries that exist only in static form
     (xlibs-static-dev).  Note that there is no libxft1-dev package; this is
     deliberate.  libxft1 is obsolete and libxft2 (packaged separately from
     XFree86) should be used instead.
     - debian/xlibs-dev.install: deleted
     - debian/xlibs-dev.links: deleted
     - debian/{libice-dev,libsm-dev,libx11-dev,libxext-dev,libxi-dev,
       libxmu-dev,libxmuu-dev,libxp-dev,libxpm-dev,libxrandr-dev,libxt-dev,
       libxtrap-dev,libxtst-dev,libxv-dev,pm-dev,x-dev,
       xlibs-static-dev}.install: new; populated from xlibs-dev.install
     - debian/{libice-dev,libsm-dev,libx11-dev,libxext-dev,libxi-dev,
       libxmu-dev,libxmuu-dev,libxp-dev,libxpm-dev,libxrandr-dev,libxt-dev,
       libxtrap-dev,libxtst-dev,libxv-dev}.install: new; populated from
       xlibs-dev.links
     - debian/control: update package data to reflect split
       + add stanzas for new packages libice-dev, libsm-dev, libx11-dev,
         libxext-dev, libxi-dev, libxmu-dev, libxmuu-dev, libxp-dev,
         libxpm-dev, libxrandr-dev, libxt-dev, libxtrap-dev, libxtst-dev,
         libxv-dev, pm-dev, x-dev, xlibs-static-dev
       + update dependencies for existing -dev packages libdps-dev,
         libxaw6-dev, libxaw7-dev, xlibmesa-gl-dev, xlibosmesa-dev
       + update dependencies for xlibs-static-pic based on actual linkage of
         the libraries within it
       + simplify xlibs-static-pic's extended description to refer to
         xlibs-static-dev for details
       + xlibs-dev is now a pseudopackage depending on the packages into which
         it split
       + update x-window-system-dev to depend on the packages split from
         xlibs-dev instead of xlibs-dev itself
 .
   * The above package splits collectively resolve a request in the Debian Bug
     Tracking System to do so.  (Closes: #172550)
 .
   * debian/patches/099b_Xft_FreeType_2.1.7_build_fix.diff:
     + Patch XFree86's internal copies of the Xft library to enable building
       against FreeType 2.1.7; fixes FTBFS.
 .
   * Remove ${shlibs:Depends} substvar from dependencies of library -dbg
     packages; -dbg packages already declare an exact versioned dependency on
     their non-debugging counterparts, and using this substvar can lead to
     duplicate package relationships and lintian warnings.
 .
   * Fix incorrect symlink to Xrender.h during package build. [ISHIKAWA
     Mutsumi]
     - debian/rules
 .
   * Update libdps1's extended description to clarify the state of server-side
     DPS implementations, and stop referring to a package that is no longer
     shipped in Debian.  (Closes: #138883)
     - debian/control
 .
   * Make x-window-system-dev depend on xlibmesa-gl-dbg and xlibmesa-glu-dbg,
     not xlibmesa3-gl-dbg and xlibmesa3-glu-dbg.
     - debian/control
 .
   * Make the xlibmesa3 pseudopackage "Architecture: any" instead of
     "Architecture: all", because its dependencies vary depending on what
     architecture it is compiled for (thanks to F:Xlibmesa-gl-Depends).
     - debian/control
 .
   * Fix encoding of Catalan translations file to not use a codepoint that is
     undefined in ISO 8859-15, which prevents the file from being transcoded
     from UTF-8 to ISO 8859-15 (thanks, Denis Barbier).  (Closes: #223024)
     - debian/po/ca.po
 .
 xfree86 (4.3.0-0pre1v4) experimental; urgency=low
 .
   * Add missing symbolic links for libXTrap. [ISHIKAWA Mutsumi]
     - debian/xlibs-dev.links: add libXTrap link
     - debian/xlibs-dbg.links: add libXTrap link
 .
   * Restore m68k package support.  Thanks, Adam Conrad!
     - {MANIFEST,xserver-xfree86.docs,xserver-xfree86.install,
        xutils.install}.m68k: added
 .
   * Add missing libXv to xlibs-dbg. [ISHIKAWA Mutsumi]
     - debian/xlibs-dbg.install: add libXv.so.1.0
     - debian/xlibs-dbg.links: add libXv link
 .
   * Grab latest fixes to upstream CVS xf-4_3-branch.
     - debian/patches/000_post430.diff:
       + (xc/programs/xdm/genauth.c):
           Build fixes (Branden Robinson, Matthieu Herrb).
       + (xc/programs/xdm/session.c):
           Use pam_strerror() to print an error message after pam_setcred()
           fails, C style unification (Branden Robinson).
       + (xc/programs/xdm/prngc.c):
           improve portability:
           - use the already defined X_NO_SYS_UN symbol for sys/un.h inclusion
           - don't use struct sockaddr_storage
     - debian/patches/002_xdm_fixes.diff:
       + resynchronize and drop patches applied upstream
       + fix for exciting new build failure in genauth.c
       + more stylistic cleanups to session.c
     - debian/patches/067_fix_X11_and_xdm_build_problems.diff: drop patches
       applied upstream
 .
   * Add s390-specific debhelper install file for xlibs-static-pic, since s390
     doesn't compile the libxf86config object.
     - debian/xlibs-static-pic.install.s390: added
 .
   * Add s390-specific debhelper install file for xlibs-data, since for some
     reason upstream decided s390 doesn't need the cursor themes.  s390 doesn't
     ship xf86cfg's bitmaps and pixmaps, either.
     - debian/xlibs-data.install.s390: added
 .
   * Grab fixes to upstream CVS xf-4_3-branch since last pull.
     - debian/patches/000_post430.diff:
       + (xc/programs/Xserver/hw/xfree86/common/xf86Mode.c):
           1004. Fixed erronous freeing of DisplayModeRec in xf86DeleteMode()
                 when deleting the modePool in xf86PruneDriverModes() the
                 'prev' member has a different meaning for modePool modes than
                 for ScrnInfoPtr->modes modes where it creates a doubly linked
                 list (Bugzilla #678, Juergen Keil).
       + (xc/programs/mkfontscale/mkfontscale.c):
           1005. Close freetype fontfile filehandle in mkfontscale, this
                 prevents problems from limitation of simultaniously open files
                 (Bugzilla #676, Jun-ichiro itojun Hagino).
       + (xc/lib/X11/imDefIm.c):
           [undocumented] Call _XimShutdown(), not XimShutdown(), in
           _XimProtoOpenIM().
       + (xc/programs/Xserver/hw/xfree86/os-support/xf86_libc.h):
           1007. Fixing crash on ia64 because of wrong setjmp buffer alignment
                 (Bugzilla #596, John Dennis).
       + (xc/config/cf/X11.tmpl):
           1008. Fixed definititon of UseInstalledOnCrossCompile so that it
                 never is undefined (Harlod L. Hunt II).
     - debian/patches/000_stolen_from_HEAD_doc_extensions_fix.diff,
       debian/patches/057_X11.tmpl_warning_fix.diff,
       debian/patches/058_external_XrenderXftXcursor_X11.tmpl.diff: resynced
         offsets
 .
   * Provide xlibs-pic pseudopackage to smooth upgrades from Debian 3.0
     systems.
     - debian/control:
       + add versioning of (<< 4.3.0) to xlibs-static-pic's conflicts and
         replaces relationships on xlibs-pic
       + xlibs-static-pic no longer provides xlibs-pic (dpkg does not support
         versioned provides)
       + resurrect xlibs-pic as an empty architecture-all pseudopackage in the
         oldlibs section which depends on xlibs-static-pic
 .
   * Add s390-specific debhelper docs file for xfree86-common, since upstream
     doesn't ship the README.dps, RELNOTES, or Versions files when
     BuildXF86Server is switched off.  Grab these documents from the build-tree
     directory instead.
     - debian/xfree86-common.docs.s390: added
 .
   * Fix regular DRI deadlocks on ia64; patch by John Dennis. [Daniel Stone]
     - debian/patches/453_ia64_fix_radeon_dri_deadlock.diff: added
 .
   * Change xlibs package's shlibs file to specify alternatives for xlibs
     itself, using the names of the packages that xlibs will split into.  This
     should allow for more in the way of partial upgrades and a smoother
     transition for packages depending on the libraries in xlibs.
     - debian/xlibs.shlibs
 .
   * Rename "stolen from HEAD" XTerm patch to not include the version number of
     XTerm in its name.
     - debian/patches/000_stolen_from_HEAD_xterm.diff: renamed from
       debian/patches/000_stolen_from_HEAD_xterm_177.diff
 .
   * Enable building of scanpci utility for m68k architecture, and ship the
     executable and its manual page in the xutils package for m68k.
     - debian/patches/250_m68k_build_scanpci.diff: patch xfree86.cf to not
       exclude scanpci from building if Mc68020Architecture is defined
     - debian/MANIFEST.m68k: add scanpci and its manpage
     - debian/xutils.install.m68k: deleted; m68k can now use the generic
       xutils.install file
 .
   * Give patch #453 a more accurate name, since the patch is not
     video-chipset-specific in any way (and has to do specifically with the
     DRM: Direct Rendering Manager).
     - debian/patches/453_ia64_fix_drm_deadlock.diff: renamed from
       debian/patches/453_ia64_fix_radeon_dri_deadlock.diff
 .
   * Install the xmodmap.std file using dh_installexamples instead of placing
     it into /usr/X11R6/lib/X11/etc, a directory which contains no other files.
     Xmodmap is really old tech these days, too.
     - debian/xbase-clients.examples: add line
     - debian/xbase-clients.install: drop line
 .
   * Apply patch to resolve problems with corruption when using XVideo on
     NVidia chipsets in fullscreen mode on a flat panel at high resolutions.
     (Closes: #215997)
     - debian/patches/098_nv_xvideo_fullscreen_fix.diff: new
 .
   * Recognize the Radeon 9200 SE (RV280 5964) as any other RV280 chip; also,
     fix detection of RV280 5962 and 5963 chips by the ATI driver.
     (Closes: #216896)
     - debian/patches/099_ati_recognize_radeon_9200_se.diff: new
 .
   * Fix build error when XF86DRI macro is undefined.  The "pI830" variable
     introduced in patch 056 is used unconditionaly, but only declared when
     XF86DRI macro is defined.  I could only reproduce this error in weird
     conditions on which the XF86DRI macro was undefined (probably due to wrong
     configuration in gnu.cf (GNU/Hurd)).  In any case, the bug is fixed now.
     [Robert Millan]
     - debian/patches/056_i810_make_i830_usable.diff
 .
 xfree86 (4.3.0-0pre1v3) experimental; urgency=high
 .
   * Update pam_setcred() security fix to xdm to use pam_error and
     pam_strerror().
     - debian/patches/002_xdm_fixes.diff
 .
   * Drop xlibmesa-drm-source package.
     - debian/MANIFEST.*: remove usr/src/xlibmesa-drm.tar.gz from list
     - debian/control: drop control stanza for package
     - debian/local/xlibmesa-drm-source: delete package infrastructure
       directory
     - debian/rules: stop constructing package
     - debian/xlibmesa-drm-src.install: deleted
 .
   * SECURITY: Fix overflows in the test for integer overflows. Reported by
     Paul Anderson.
     - debian/patches/000_post430.diff
 .
   * Apply more fixes for libraries' weak shared object dependencies.
     [ISHIKAWA Mutsumi]
     - debian/patches/063_fix_weak_deps.diff:
       + define SharedXvReqs in xc/config/cf/lnxLib.tmpl
       + add MathLibrary to SharedDPSTKReqs #define in xc/config/cf/lnxLib.tmpl
       + add MathLibrary to REQUIREDLIBS in xc/lib/GL/mesa/src/OSmesa/Imakefile
       + (cleanup) replace $(EXTENSIONLIB) $(XONLYLIB) with $(XLIB) in
         Shared*Reqs #defines in xc/config/cf/lnxLib.tmpl
 .
 xfree86 (4.3.0-0pre1v2) experimental; urgency=low
 .
   * debian/patches/911_debian_XF86Config_to_XF86Config-4.diff: merge this
     (forgotten?) patch from the trunk and resync with 4.3.0 and current
     patches
 .
   * Fix libxaa bug that could result in NULL pointers being passed to drivers,
     and thus complete machine death (thanks, Thomas Winischhofer).
     + debian/patches/000_stolen_from_HEAD.diff: new stanza, per Thomas
 .
   * Address xlibmesa* package upgrade issues from woody and 4.2.1 packages in
     sarge/sid.
     + debian/scripts/vars.{alpha,i386,ia64,powerpc,sparc}:
         - add xlibmesa-dri to dependencies of x-window-system-core on
           architectures where xlibmesa-dri exists
         - add new variable, XLIBMESA_GL_SPECIAL_DEPENDS, which adds xlibmesa-dri
           to dependencies of xlibmesa on architectures where xlibmesa-dri exists
     + debian/rules:
         - pass expansion of XLIBMESA_GL_SPECIAL_DEPENDS to dpkg-gencontrol
         - report expansion of XLIBMESA_GL_SPECIAL_DEPENDS in "environment"
           target to aid debugging
     + debian/control:
         - change Architecture: of xlibmesa-dri from "any" to only those
           architectures which actually ship this package (alpha, i386, ia64,
           powerpc, sparc)
         - xlibmesa-dri conflicts/replaces xlibmesa3-gl and non-pseudo versions of
           xlibmesa3 (this was effectively a package split on 5 architectures)
         - tweak xlibmesa-dri's description to mention the Linux kernel
           specifically (poor unloved Hurd and *BSD folks get no respect, I tell
           you)
         - xlibmesa-gl conflicts/replaces xlibmesa3-gl and non-pseudo versions of
           xlibmesa3
         - xlibmesa-gl-dbg conflicts/replaces xlibmesa3-gl-dbg and non-psuedo
           versions of xlibmesa3-dbg
         - xlibmesa-gl-dev conflicts/replaces non-pseudo versions of xlibmesa-dev
         - update xlibmesa-gl-dev's description to refer to itself correctly
         - xlibmesa-glu conflicts/replaces xlibmesa3-glu and non-pseudo versions
           of xlibmesa3
         - xlibmesa-glu-dbg conflicts/replaces xlibmesa3-glu-dbg and non-psuedo
           versions of xlibmesa3-dbg
         - xlibmesa-glu-dev conflicts/replaces non-pseudo versions of xlibmesa-dev
         - update xlibmesa-glu-dev's description to refer to itself correctly
         - add xlibmesa3, xlibmesa3-dbg, and xlibmesa-dev pseudopackages (merged
           from trunk and updated) to smooth upgrades from woody
         - rename xlibmesa-drm-src to xlibmesa-drm-source, for consistency with
           other kernel module source packages, and make modules built with it
           depend on xlibmesa-dri (thanks, David B. Harris)
     + debian/local/xlibmesa-drm-source/debian/buildpkg
         - replace entirely bogus reference to /usr/src/modules/device3dfx
 .
   * debian/xserver-xfree86.install.*: ship keyboard(4x) manpage (thanks,
     Michel Dänzer)
 .
   * Grab all fixes to xf-4_3-branch since 4.3.0 was tagged.
     - debian/patches/000_post430.diff: fixes of interest include:
       + fix R300 PLL value (Enrik Berkhan)
       + Fix for possible buffer overflow in _XlcLocaleDirName().  privilegied
         binaries ignore the XLOCALEDIR environment variable and are not
         vulnerable.
       + Resync with the trunk's setjmp & libc5 changes.
       + Another setjmp fix
       + Fix typo that caused incorrect initialization of xkb memory (John
         Heasley).
       + int10 fix for all ix86 non-Linux systems (Marc La France).
       + Another int10 fix.  This time for adapters found at PCI:0:0:0.  This
         fix is particularly important for ZX1-based systems (Marc La France).
       + Fix bug in mode validation that occurs when the XF86Config doesn't
         specify any mode or virtual resolution information (Marc La France).
       + Now ShadowComposite correctly clips the refresh box. Fix server crash
         when using render outside of the visible screen with shadowfb.
       + fix XFree86ManVersionString in the case of a release.
       + Fix programming error in ix86 motherboard chipset determination
         (Marc La France).
       + Fix to prevent PCI and CardBus resets when switching out of the
         server's virtual console (Marc La France).
       + Fix infinite loop that occurs on systems whose PCI configuration space
         doesn't advertise a host bridge (Marc La France).
       + Workaround for broken devices that don't implement the header type
         field in their PCI configuration space (Marc La France).
       + Fix lockup on server reset in radeon driver (Michel Dänzer, Keith
         Whitwell).
       + Set Mesa hooks to flush vertices on state changes in Radeon 3D drivers
         (Keith Whitwell).
       + Check for NULL tObj in the i830 3D driver's TexEnv function.  This
         fixes a FlightGear crash (Keith Whitwell).
       + Fix double free bug when a Mac-specific font fails to load with
         Freetype.
       + Prevent a SIGFPE with the glint/pm3 driver when attempting to display
         an XVideo image less than 8 pixels wide (Måns Rullgård).
       + Fix a SEGV that can happen with Riva128 cards (Mark Vojkovich).
       + Fix SiliconMotion driver for mode switching and SEGV problem when
         initializing Xv functionality (Bugzilla #50, Alan Hourihane).
       + Fix a problem with savage driver when UseBIOS is off, such that the
         performance drops dramatically. Now the performance matches or
         exceeds that of the option UseBIOS (Alan Hourihane).
       + Typo fix in radeon driver cursor code, fixes the primary head
         switching off when the cursor moves to the secondary head on dualhead
         cards (Michel Dänzer)
       + i810/815 depth buffer needs to be a multiple of the tile size.  This
         fixes 3D corruption near the bottom of the screen at 800x600@16bpp
         (Bugzilla #283, Dave Airlie).
       + Fixed Imakefiles so the driver SDK builds again (Sven Luther).
       + Fix XDMCP queries when using getifaddrs() (Bugzilla #277, Joel Ray
         Holveck)
       + Fix repeated image problem when using a vesa video mode before
         starting the Xserver on the S3 Trio3D cards (Alan Hourihane).
       + Fix for a crash if a scalable font has a bitmap entry in fonts.dir
         (#5687, Bugzilla #332, Juliusz Chroboczek).
       + Fix for xfs crashes in Freetype backend (Bugzilla #242, Juliusz
         Chroboczek).
       + Pull twm fixes (signal handler, empty windows menu) from -current.
       + Fix calculation of CRTC2 frame offset with page flipping in radeon
         driver (Michel Daenzer)
       + Fix an XAA pixmap cache server crash that can happen in some cases
         when the off-screen memory is heavily fragmented (David Dawes, based
         on #5752, Koike Kazuhiko, Chisato Yamauchi).
       + Fixed a crash when _XIMProtoOpenIM(), hich is called through XOpenIM()
         API when protocol IM is being set up,  fails (Bugzilla #618, Hisashi
         MIYASHITA).
       + Don't call FBIOPAN_DISPLAY ioctl with arguments that will cause a
         confusing if harmless error (Michel Dänzer)
       + Fixes for potential integer overflows in font libraries. (blexim,
         Matthieu Herrb).
       + for integer overflow tests, use SIZE_MAX which is more standard than
         SIZE_T_MAX, and default to ULONG_MAX for the case of LP64 systems.
         Based on reports by Matthias Scheler and Alan Coopersmith (Bugzilla
         #646).
       + Many fixes to xdm:
         - use better pseudo-random generators to generate magic cookies,
           including EGD-like prng daemons support.
         - add support for LISTEN keyworkd in Xaccess
         - deal with small memory leaks
         - use SIOCGLIFCONF to query network interfaces where available
         - fix XDMCP bug that could cause localhost entries in /etc/X0.hosts
           to be lost
         - add xdm /dev/random handling for Solaris
         - fix XDMCP queries on systems using getifaddrs().
         (Alan Coopersmith, Marc La France, Oswald Buddenhagen, Matthieu Herrb,
         Nicolas JOLY, Jason L. Wright, Joel Ray Holveck).
       + SECURITY: not mentioned in the upstream commit message is a fix for
         CAN-2003-0690 (return value of pam_setcred() not checked, which could
         conceivably lead to privilege escalation in some configurations)
     - resynced:
       + debian/patches/000_stolen_from_HEAD.diff
       + debian/patches/000_stolen_from_HEAD_bsdsupport.diff
       + debian/patches/000_stolen_from_HEAD_doc_extensions_fix.diff
       + debian/patches/000_stolen_from_HEAD_int10.diff
       + debian/patches/000_stolen_from_HEAD_netbsd.diff
       + debian/patches/000_stolen_from_HEAD_nv_driver.diff
       + debian/patches/000_stolen_from_HEAD_sis_driver.diff
       + debian/patches/002_xdm_fixes.diff
       + debian/patches/003_linux.cf_and_xfree86.cf.diff
       + debian/patches/003a_damn_cpp_3.3_to_hell.diff
       + debian/patches/004_imake_manpage_handling_overhaul.diff
       + debian/patches/057_X11.tmpl_warning_fix.diff
       + debian/patches/058_external_XrenderXftXcursor_X11.tmpl.diff
       + debian/patches/061_savage_driver_1.1.27t.diff
       + debian/patches/068_fix_InstallAppDefFiles_screwage.diff
       + debian/patches/900_debian_config.diff
       + debian/patches/905_debian_xdm.diff
     - deleted:
       + debian/patches/000_xf-4.3-branch.diff
       + debian/patches/046_radeon_dualhead_cursor_crash.diff
       + debian/patches/047_radeon_r200_flush_vertices.diff
       + debian/patches/050_radeon_reset_no_lockup.diff
       + debian/patches/066_xdm_do_not_read_from_dev_mem.diff
 .
   * debian/shlibs.local is a generated file, so we might as well generate it
     during the build process.
     - debian/shlibs.local: deleted from source package
     - debian/rules:
       + (clean): remove debian/shlibs.local
       + (debian/shlibs.local): new target
       + ($(STAMPDIR)/binary-arch): depends on debian/shlibs.local
       + ($(STAMPDIR)/binary-server): depends on debian/shlibs.local
 .
   * debian/patches/063_fix_weak_deps.diff: fix weak shared object dependencies
     in libDPS and libDPSTK (Closes: #210651)
 .
   * debian/patches/067_fix_X11_and_xdm_build_problems.diff: fix build
     failures; xc/lib/X11/Wrap.c and Wraphelp.c were being linked over from
     lib/Xdmcap but lib/Xdmcp/Wrap.h was not; same problem with xdm, plus
     identical problem with greeter's header files; also fix some problems with
     undeclared variables and pointer-to-integer comparison in genauth.c
 .
   * debian/patches/068_fix_InstallAppDefFiles_screwage.diff: always define the
     Imake symbol "InstallAppDefFiles" to "YES" on Debian systems; shuts up an
     extremely annoying build-time warning
 .
   * debian/patches/069_fix_ugly_r128_driver_warning.diff: fix an ugly
     diagnostic message which was also a multiline string literal
 .
   * debian/po/ja.po: update Japanese translations (thanks, Kenshi Muto and
     Takeo Nakano)
 .
   * debian/control: the XKB implementation in XFree86 4.3.0 has changed in a
     non-backward-compatible manner; update package relationships accordingly
     - xbase-clients conflicts with xlibs (<< 4.3.0) and xlibs-data (<< 4.3.0)
     - xlibs conflicts with xbase-clients (<< 4.3.0) and xlibs-data (<< 4.3.0)
     - xlibs-data conflicts with xbase-clients (<< 4.3.0)
 .
   * Update xc/programs/Xserver/hw/xfree86/os-support/linux/lnx_video.c to
     latest version from upstream CVS HEAD to resolve severe performance
     problems caused by opening /dev/mem with the O_SYNC flag, per Egbert Eich.
     - debian/patches/000_stolen_from_HEAD_int10.diff: updated
     - debian/patches/021_riscpc_ioport_fix.diff: resynced (also improve error
       reporting when ioperm()/iopl() fail for reasons other then ENODEV)
 .
   * The control file generated for xlibmesa-drm-module-* packages should
     include a "Source:" field.  (Closes: #212186)
     - debian/local/xlibmesa-drm-source/debian/control.m4
 .
 xfree86 (4.3.0-0pre1v1) experimental; urgency=low
 .
   * new upstream release
     - XFree86 X server now supports ATI Radeon Mobility (Closes: #196810)
     - XFree86 X server now supports Intel i845G (Closes: #184322)
     - XFree86 X server now supports Intel i865G (Closes: #221686)
     - XFree86 X server now supports SiS 650, 651, and 740 (Closes: #183619)
     - XTerm allows window title reporting, disabled by default, to be enabled
       at the user's option via the allowWindowOps X resource (Closes: #200857)
     - Wacom driver has improved support for Graphire 2 tablets
       (Closes: #165849)
     - Wacom driver now supports absolute motion on Graphire tablets
       (Closes: #188842)
     - extraneous tokens at end of MakeSimpleDoc #ifdef in X11.tmpl removed
       (Closes: #196058)
     - XVideo supported at high resolutions on ATI Rage 128 Mobility LF
       (Closes: #176014)
     - Xinerama header file now usable by C++ code (Closes: #224757)
     - XFree86 X server has improved Xv support for ATI Radeon chipsets
       (Closes: #228408)
     - S3 driver now properly restores video mode on VT switch back to X on
       Trio 32/64 rev 67 (Closes: #164780)
 .
   * Include patch for ATI RV280 chipset support.  (Closes: #211528)
     [Daniel Stone]
     - debian/patches/030b_radeon_rv280_support.diff
 .
   * Update XTerm to upstream Patch #177.
     - debian/patches/000_stolen_from_HEAD_xterm_177.diff:
       + uxterm now recognizes locale modifiers (Closes: #179929)
 .
   * Some things changed.  This release would not have been possible without
     the assistance of Daniel Stone (sponsored by Trinity College, Melbourne
     Uni) and ISHIKAWA Mutsumi.  A proper changelog entry for this release may
     not be possible even if God Himself grabbed my keyboard away from me.
 .
   * converted package build process to use packaged version of DBS, courtesy
     of Warren Turkal
     - debian/control: build-depend on dbs
     - debian/rules: use DBS
     - debian/scripts/vars: DBS knows where the stampdir is
     - debian/setperms: no longer need to enforce permissions on local version of
         DBS
     - debian/{doogie-build-system,scripts/{fix.source.patch,patch.apply,
       patch.unapply,source.patch,source.unpack,unfix.source.patch}: deleted in
         favor of DBS
 .
   * remove special-case logic in linux.cf that defined "HasLinuxInput" to
     "NO" for Mc68020Architecture:
     - m68k is now supported by the Linux 2.4.20 kernel (at least in
       Debian), so we let this symbol be defined to "YES" just like all the
       other architectures.  This only really affects the Wacom input driver
       and should not cause any regressions.  (thanks to James Troup for
       pointing out this no-longer-needed conditional)
     - patch #003 update
 .
   * always disable FontLibSharedFreeType, ensuring similarity between normal
     XFree86 server and XFree86 debugging server:
     - patch #003 updated
     - this change should be dropped when the module-loading server can be
       linked against an external FreeType2 library          [ISHIKAWA Mutsumi]
 .
   * Imake warning fix patch:
     - patch #057_X11.tmpl_warning_fix.diff: new             [ISHIKAWA Mutsumi]
 .
   * Use external Xft, Xrender and Xcursor libraries:
     - patch #058, #059, #060: new
     - patch #909: remove (reimplemented as above patches)
     - xlibs{,-dbg,-dev}.*, shlibs*: drop Xrender and Xcursor related entry
     - debian/control: add Build-Depends: libxrender-dev, libxcursor-dev
                                                             [ISHIKAWA Mutsumi]
 .
   * fix Xv regression in trident driver
     - #patch 000_stolen_from_HEAD: updated
 .
   * new SiS driver, from XFree86 HEAD:
     - patch #000_stolen_from_HEAD_sis_driver: new
       + XVideo supported on SiS 630 (Closes: #186237)
 .
   * new Savage driver (version 1.1.27t): patch #063.
     - driver supports ProSavage KM133 rev 3 (Closes: #110974)
     - xscreensaver's "blaster" and "critical" hacks no longer wedge system
       (Closes: #112703)
     - running xlock for a long time no longer hangs Savage/IX-MV rev 19
       (Closes: #115223)
     - switching to textmode VTs should work again on Savage/IX-MV rev 19
       (Closes: #117454)
     - system no longer freezes on server start when loading GLcore module on
       ProSavage PM133 rev 2 (Closes: #128125)
     - switching to textmode VTs should work again on Savage/MX-MV rev 17
       (Closes: #129216)
     - resolves SEGVs on Savage/MX-MV rev 17 (Closes: #145420)
     - resolves SEGVs when attempting to use Xinerama extension on Savage/MX-MV
       rev 17 (Closes: #148008)
     - resolves server crashes after suspending and resuming on Savage/IX-MV
       rev 19 (Closes: #152796)
     - includes code from 1.1.25t (Closes: #167910)
     - should fix flickering problems on Savage/IX-MV (Closes: #183300)
     - resolves system freezes while moving eterm windows in enlightenment
       (Closes: #185443)
     - should fix system hangs when gdm starts on ProSavage PM133
       (Closes: #191915)
     - resolves system freezes when drawing accelerated solid Bresenham lines
       on VIA/S3 ProSavage DDR-K (Closes: #194144)
     - resolves drawing problems with Savage/MX-MV rev 17 (Closes: #194351)
     - XVideo windows are no longer a non-working uniform blue
       (Closes: #197058)
 .
   * eliminate TEXTREL section from libGL, making it PIC-compliant:
     - patch #062: new (Closes: #190323)
 .
   * patch #063: new; fix weak library shared object dependencies
     - fix libGLU (Closes: #187365)
     - fix libXmuu, libXp, libXrandr (Closes: #187374)
 .
   * xlibs-pic package renamed to xlibs-static-pic
     - reintegrate piclib_support.diff (previously patch #046, now patch #909)
     - all static-only libraries are now available in -fPIC varieties,
       including libXss (Closes: #185936)
 .
   * fix DPMS-on-DVI for Radeon driver
     - patch #048 updated with new patch from XFree86 Bugzilla, via Martin
       Loschwitz
 .
   * Xft.man name conflict problem fix [ISHIKAWA Mutsumi]
     - patch #065: new
     - man page name under xc/lib/{Xft,Xft1}/Xft.man name space confliction fix,
       simply rename xc/lib/Xft1/Xft.man to xc/lib/Xft1/Xft1.man
 .
   * patch #909: rework support for static libraries with PIC info; by default,
     only libraries without a shared version build static-PIC versions, and
     then only on systems where PIC info is not included in static ("normal")
     libraries by default (such as Debian)
 .
   * xftcache related things cleanup [ISHIKAWA Mutsumi]
     - xftcache description dropped from debian/control.
     - use fc-cache instaed of xftcache in xfonts-scale.{postinst,postrm}
 .
   * X-TT font engine update to X-TT 1.4.1 [ISHIKAWA Mutsumi]
 .
   * debian/control:
     - Change all references to libstdc++5-dev to be
       libstdc++5-dev | libstdc++-dev, allowing libstdc++5-3.3-dev to satisfy
       the dependency, and thus allowing gcc3.2 to be removed.
       (Closes: #194136)
 .
   * debian/xlibosmesa4-dbg.install: install the unstripped library in
     /usr/X11R6/lib/debug, not /usr/X11R6/lib
 .
   * The xspecs package now contains HTML-formatted version of most X Window
     System technical documents.
     - debian/xspecs.docs
Files: 
 84525879dd9856d45767b2e8906de782 2598 x11 optional xfree86_4.3.0-2.dsc
 752718185be9a6e9e36d7ff27b423832 2143898 x11 optional xfree86_4.3.0-2.diff.gz
 2daa068ef812f28c40899dee288eca16 210842 x11 optional lbxproxy_4.3.0-2_powerpc.deb
 e22d79efca871d4723d1710192a4311e 250270 libs optional libdps1_4.3.0-2_powerpc.deb
 70d7ed0dbd291c22d13a4d6d39121827 767240 libdevel extra libdps1-dbg_4.3.0-2_powerpc.deb
 a4f27fe17f2a3a61ef5ca208483abf69 319004 libdevel optional libdps-dev_4.3.0-2_powerpc.deb
 05b8cd4c42d2bfc2b1977b34cf656b99 158242 libs optional libice6_4.3.0-2_powerpc.deb
 ca2184dfed13960b0569cf507faa85ac 246234 libdevel extra libice6-dbg_4.3.0-2_powerpc.deb
 67fe41c2e9d74f20f7ed6b986a76acf9 165462 libdevel optional libice-dev_4.3.0-2_powerpc.deb
 18698d47c26fb097ebc68817c69fdd57 136512 libs optional libsm6_4.3.0-2_powerpc.deb
 a748ba09051801246da48a784707ca57 163506 libdevel extra libsm6-dbg_4.3.0-2_powerpc.deb
 508fc3b3ad15ca2c32c1de7ffef95564 133784 libdevel optional libsm-dev_4.3.0-2_powerpc.deb
 ba0347eeaee32e8cee35cd61d3063e9e 681730 libs optional libx11-6_4.3.0-2_powerpc.deb
 c181c50f7c673e0f040081293ee917b9 9834592 libdevel extra libx11-6-dbg_4.3.0-2_powerpc.deb
 60fef62dc64a7d4ea8d39db9520e2238 1359798 libdevel optional libx11-dev_4.3.0-2_powerpc.deb
 d7b0ecfed6adb5eca006a02e4af9cba4 241980 libs optional libxaw6_4.3.0-2_powerpc.deb
 933f146acba7116e2ba033fc1a135337 865208 libdevel extra libxaw6-dbg_4.3.0-2_powerpc.deb
 7bfad3636154011cb8b69cf9a3c83311 396640 libdevel extra libxaw6-dev_4.3.0-2_powerpc.deb
 af5a5986d86febdfffafd6ad6035b6cf 296866 libs optional libxaw7_4.3.0-2_powerpc.deb
 c4e5431a81a732c81ae72c170971b65e 1003810 libdevel extra libxaw7-dbg_4.3.0-2_powerpc.deb
 533b07ccf4d13c9f209450a5f58fe758 396534 libdevel optional libxaw7-dev_4.3.0-2_powerpc.deb
 f36ded2047f1a932663d1e43a0699274 144196 libs optional libxext6_4.3.0-2_powerpc.deb
 3ffdccff866909f30bfb07b799b78e55 477850 libdevel extra libxext6-dbg_4.3.0-2_powerpc.deb
 b5568baae3ed920c360e2bfe4cd54142 205158 libdevel optional libxext-dev_4.3.0-2_powerpc.deb
 7a3f21b76381720914372af60cccff75 145800 libs optional libxft1_4.3.0-2_powerpc.deb
 f326362d979ce246b510ebfacbc33110 439150 libdevel extra libxft1-dbg_4.3.0-2_powerpc.deb
 3bb2325b66cde01be90c15296c5d0672 135564 libs optional libxi6_4.3.0-2_powerpc.deb
 a1205534fefabae667f92a2478ad37f5 1157880 libdevel extra libxi6-dbg_4.3.0-2_powerpc.deb
 69ae1f155c408679a2eb5c6932bbbde2 188614 libdevel optional libxi-dev_4.3.0-2_powerpc.deb
 afcaa88cd1e0da05c4db7da40cd6b2c6 165636 libs optional libxmu6_4.3.0-2_powerpc.deb
 c743cb468b664106c38d3585a689a8b8 636478 libdevel extra libxmu6-dbg_4.3.0-2_powerpc.deb
 59b6800545704d8939bcc2f6a574a418 180804 libdevel optional libxmu-dev_4.3.0-2_powerpc.deb
 6cb60cb420c57499235c539c952d388e 127300 libs optional libxmuu1_4.3.0-2_powerpc.deb
 749fc86973dddd86660781858d3d0621 167846 libdevel extra libxmuu1-dbg_4.3.0-2_powerpc.deb
 a1659cd039ed4bbe1b39b612ac7e19c0 119218 libdevel optional libxmuu-dev_4.3.0-2_powerpc.deb
 73778afc0fedbd30db08c63ba75b8040 134690 libs optional libxp6_4.3.0-2_powerpc.deb
 9eb55d81756704cadec99bb537abfad1 534414 libdevel extra libxp6-dbg_4.3.0-2_powerpc.deb
 44811e1dc01d1892230e7f8e073eb747 136412 libdevel optional libxp-dev_4.3.0-2_powerpc.deb
 ebb78fe02fcd1779d50312b07363b225 151358 libs optional libxpm4_4.3.0-2_powerpc.deb
 602d28c9e897f8a11f47702bcac58046 198708 libdevel extra libxpm4-dbg_4.3.0-2_powerpc.deb
 f0dbc8b26c5acc87675322b085f81c9a 152738 libdevel optional libxpm-dev_4.3.0-2_powerpc.deb
 92c4ce3da3e2c6235c53f387580ff551 127092 libs optional libxrandr2_4.3.0-2_powerpc.deb
 4e31948e03c50346fe4f097c77804448 159958 libdevel extra libxrandr2-dbg_4.3.0-2_powerpc.deb
 3ecba715f4fbce3df38324967c63c6f8 126914 libdevel optional libxrandr-dev_4.3.0-2_powerpc.deb
 3a4c36cdf3afa88d2d0fed3333c4f10c 279490 libs optional libxt6_4.3.0-2_powerpc.deb
 799466ccb5063f99fab6a9715dbf7b31 1505778 libdevel extra libxt6-dbg_4.3.0-2_powerpc.deb
 7008dbd394d1173c2ec686665bed3e6c 603266 libdevel optional libxt-dev_4.3.0-2_powerpc.deb
 e34f418c101075e06bdebeec80b071e3 136020 libs optional libxtrap6_4.3.0-2_powerpc.deb
 89b3f34902b379c7967673e25737b706 370046 libdevel extra libxtrap6-dbg_4.3.0-2_powerpc.deb
 bfbf345bf6828c09e117a03de6faa481 142320 libdevel optional libxtrap-dev_4.3.0-2_powerpc.deb
 2a67aa65a007f4344e12a26d01bf52ee 130706 libs optional libxtst6_4.3.0-2_powerpc.deb
 fb7529ca3df4e42fe54d9998094b3a18 196430 libdevel extra libxtst6-dbg_4.3.0-2_powerpc.deb
 b7736d06992a6facfd5e69a1b6352c9e 127496 libdevel optional libxtst-dev_4.3.0-2_powerpc.deb
 28c81c895f9b2348d163f123283b3df2 128156 libs optional libxv1_4.3.0-2_powerpc.deb
 a539f8d9b9ae7462010b0f591b3fe522 162642 libdevel extra libxv1-dbg_4.3.0-2_powerpc.deb
 7a9342a543dccd977e76f9e853907e79 146948 libdevel optional libxv-dev_4.3.0-2_powerpc.deb
 1140a5386ce8570b16a045b79ea063b5 137978 x11 optional proxymngr_4.3.0-2_powerpc.deb
 9afa0a554c01b4159993028ecf7b1fef 226088 x11 optional twm_4.3.0-2_powerpc.deb
 72383beeebdd0fba61e6c3342b156469 2057828 x11 optional xbase-clients_4.3.0-2_powerpc.deb
 798a592c5dd8e6b9244a05c87c6f22bf 256076 x11 optional xdm_4.3.0-2_powerpc.deb
 04e9beea9255f80b55df0a65d1568ba5 459414 x11 optional xfs_4.3.0-2_powerpc.deb
 ab7bb6afd5c241a0b6491ed728199c8b 138460 x11 optional xfwp_4.3.0-2_powerpc.deb
 17ca9bcc86bc8424958b71739e069853 3605368 x11 optional xlibmesa-dri_4.3.0-2_powerpc.deb
 0dbc3dc449a53e248a54f0323655e662 33515322 x11 optional xlibmesa-dri-dbg_4.3.0-2_powerpc.deb
 e3a1198c82c9753c5e86829702ce1a4d 249704 libs optional xlibmesa-gl_4.3.0-2_powerpc.deb
 c70e7e4c65e5726bf01d3767adb78bfb 1253472 libdevel extra xlibmesa-gl-dbg_4.3.0-2_powerpc.deb
 9748cc1446c741b98d966e695db940dc 689670 libdevel optional xlibmesa-gl-dev_4.3.0-2_powerpc.deb
 abf96887077a7760726f0a9ea25a613d 326250 libs optional xlibmesa-glu_4.3.0-2_powerpc.deb
 d09e13b228684587641d431c68eaf810 1095574 libdevel extra xlibmesa-glu-dbg_4.3.0-2_powerpc.deb
 9c199ddc46a0699716fd5988d36a4c7b 424260 libdevel optional xlibmesa-glu-dev_4.3.0-2_powerpc.deb
 398d6967a6c08e08214f83401da7046a 643492 libs optional xlibosmesa4_4.3.0-2_powerpc.deb
 2f2be233c58ba81341e53f29c4a9f315 4520380 libdevel extra xlibosmesa4-dbg_4.3.0-2_powerpc.deb
 4585fbc569b2d50c23fac97791d39639 763728 libdevel optional xlibosmesa-dev_4.3.0-2_powerpc.deb
 eeb583f1bcd9bfad2017e2cbccfc6f32 840172 libdevel optional xlibs-static-dev_4.3.0-2_powerpc.deb
 eb904733d8abab0f92ff4c805c00ce6a 346952 libdevel extra xlibs-static-pic_4.3.0-2_powerpc.deb
 9bffe2b64b8d053f5b2b28dab8f28d72 188566 mail extra xmh_4.3.0-2_powerpc.deb
 1deab1e5182883aff9c23deb1d176a19 1538248 x11 optional xnest_4.3.0-2_powerpc.deb
 20a9ba5bec0496be4379f9398892b967 1160486 x11 optional xprt_4.3.0-2_powerpc.deb
 c8b5329f21769b5e24a030e277107f2d 287328 x11 optional xserver-common_4.3.0-2_powerpc.deb
 4e61b216a986853cfc9f2f6957518444 5579632 x11 optional xserver-xfree86_4.3.0-2_powerpc.deb
 46b6981edc755e820071b955dac7e634 39805248 x11 extra xserver-xfree86-dbg_4.3.0-2_powerpc.deb
 07d0d7b4ccc09e119accd01d3fd577f4 592430 x11 optional xterm_4.3.0-2_powerpc.deb
 056c30e8d3f059e187ff2bcdc930f1f5 870512 x11 optional xutils_4.3.0-2_powerpc.deb
 490cabf78ddf3df395a251ddfee6513a 1681738 x11 optional xvfb_4.3.0-2_powerpc.deb
 c7c159b6b6da2dc7088b3af60cf94cb5 114378 x11 optional x-window-system-core_4.3.0-2_powerpc.deb
 ce4e6e77dbad267dc5ec4b8c70249a9f 114440 x11 optional x-window-system-dev_4.3.0-2_powerpc.deb
 196059eb7f5cdbf758c9446670372270 114182 oldlibs optional xlibmesa3_4.3.0-2_powerpc.deb
 2ca8ef850add82e674bdb7e05e5f97b2 115026 libdevel optional pm-dev_4.3.0-2_all.deb
 e4762290cbd3f1c4e01039f74b6adcd6 171984 libdevel optional x-dev_4.3.0-2_all.deb
 901a388f76eb8ffa338c63b05f088cb1 4500904 x11 optional xfonts-100dpi_4.3.0-2_all.deb
 38a58d1dbd36010d9f6bab47617c0dc7 8395816 x11 optional xfonts-100dpi-transcoded_4.3.0-2_all.deb
 f4a2bdd87b0353710694414967b28a48 3989866 x11 optional xfonts-75dpi_4.3.0-2_all.deb
 1006959c0a36b0b32ca66cc8c0a16e96 7288346 x11 optional xfonts-75dpi-transcoded_4.3.0-2_all.deb
 97df5968e23f8a299624d4a769e89763 5516310 x11 optional xfonts-base_4.3.0-2_all.deb
 f1d41f9d620efa8ab643771865fde593 1164004 x11 optional xfonts-base-transcoded_4.3.0-2_all.deb
 059dd9741e4b6bc410c1eb89f934d07e 505902 x11 optional xfonts-cyrillic_4.3.0-2_all.deb
 6c68d47375c384db9dccaee45cc5a023 856030 x11 optional xfonts-scalable_4.3.0-2_all.deb
 b3b74c6be591449130a4b1e18561db52 677772 x11 optional xfree86-common_4.3.0-2_all.deb
 247ad68b73e5c59ace7fad027ce3fe25 360470 libs optional xlibs_4.3.0-2_all.deb
 f6641a7b3cc527f0491dd3185b38cb53 851168 libs optional xlibs-data_4.3.0-2_all.deb
 52d8aa4ea6de765757e237b7172352af 5791144 x11 optional xspecs_4.3.0-2_all.deb
 ac7e163c9e95dddce669dc2dc65b3b51 114308 x11 optional x-window-system_4.3.0-2_all.deb
 53add291ebae37e7f79932ed777678bb 114166 oldlibs extra xlibmesa3-dbg_4.3.0-2_all.deb
 d6b1df5163f9cab775bd7fe8916bf7e9 114150 oldlibs optional xlibmesa-dev_4.3.0-2_all.deb
 caf69cf4781972fc9d3e275d9a34a4c4 114218 oldlibs extra xlibs-dbg_4.3.0-2_all.deb
 4bb8e5f82f5aa1f862adadd81320ca54 114216 oldlibs extra xlibs-dev_4.3.0-2_all.deb
 56fd791488f577e79a9f7a8662782828 114122 oldlibs extra xlibs-pic_4.3.0-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.2.4 (GNU/Linux)

iEYEARECAAYFAkAzcuoACgkQ6kxmHytGonyg+wCgmAp2H+n7mKpdkUkvDBHic72P
UR8AnRkL0m//5Y1BYjv3BLC6KLdQtp4I
=IV+3
-----END PGP SIGNATURE-----




Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 19:53:54 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.